<?php
if(file_exists("../../../dbconnect.php")){
    //versions before 5.2
    require_once("../../../dbconnect.php");
    require_once("../../../includes/functions.php");
}else{
    //5.2 and higher
    require_once("../../../init.php");
}

require_once(dirname(dirname(dirname(__FILE__))) . '/servers/vpsnet/functions.php');
require_once(dirname(dirname(dirname(__FILE__))) . '/servers/vpsnet/class.php');
$vps = new vps();
switch ($_GET['m']) {
    case "templatesgroups":
        $cid = (int) $_GET['c'];
        if ($cid) {
            $templates = $vps->api()->getCloudsTemplatesGroups($cid);
            $result = select_query('vpsnet_templates_groups', '*', array('cloud_id'=>$cid));
            $tgroup = array();
            if($result && mysql_num_rows($result) > 0)
                while($data = mysql_fetch_assoc($result)){
                    $tgroup[$data['name']] = $data['status']; 
                }
            foreach ($templates as $tid => $group) {
                $tname = htmlspecialchars($group, ENT_QUOTES, "utf-8");
                echo '<li><input '.((isset($tgroup[$group]) && $tgroup[$group] == 1) || !isset($tgroup[$group]) ? 'checked="checked" ' : '').'type="checkbox" value="' . $group . '" class="templategroup"/><a href="#" onclick="getTemplates(' . $cid . ',\'' . $group . '\', this); return false;">' . $tname . '</a></li>';
            }
        }
        exit();
        break;
    case "cloudtemplates":
        $id = (int) $_GET['c'];
        $group = $_GET['templates'];
        if ($id) {
            $resources = $vps->api()->getCloudsTemplates($id, $group);
            $result = select_query('vpsnet_templates', '*', array('cloud_id'=>$id));
            $templ = array();
            if($result && mysql_num_rows($result) > 0)
                while($data = mysql_fetch_assoc($result)){
                    $templ[$data['id']] = $data['status']; 
                }
            foreach ($resources as $tid => $name) {
                $tname = getTemplateName($tid, $id);
                $label = ($tname ? $tname : htmlspecialchars($name, ENT_QUOTES, "utf-8"));
                    echo '<li><input '.((isset($templ[$tid]) && $templ[$tid] == 1) || !isset($templ[$tid]) ? 'checked="checked" ' : '').' type="checkbox" value="' . $tid . '" class="template">
                               <a href="#" onClick="getTemplatesDesc(' . $id . ',' . $tid . ',this); return false;">' . $label . '</a>
                    </li>';
            }
        }
        exit();
        break;
    case "templatedesc":
        $id = (int) $_GET['id'];
        $c = (int) $_GET['c'];
        $info = $vps->api()->getTemplateInfo($c, $id);
        $desc = getTemplateDesc($id,$c);
        $desc = !empty($desc) ? $desc : $info->description;

        $currencies = localAPI("getcurrencies");

        foreach($currencies['currencies']['currency'] as $cur){
            $price = getTemplatePrice($id,$c,$cur['id']);
            $price = isset($price) ? $price : number_format($info->applicable_price->USD*$cur['rate'],2);
            $prices[$cur['id']] = $price;
        }

        $tname = getTemplateName($id, $c);
        $tname = !empty($tname) ? $tname : $info->label;

        echo json_encode(array('description' => $desc, 'prices' => $prices, 'name' => $tname));

        exit();
        break;
    case 'savetemplate':
        $id = $_POST['id'];
        $cloud_id = $_POST['cloud_id'];

        foreach($_POST['price'] as $curId => $price){
            $params = array(
                "price" => $price
            );
            $result = select_query('vpsnet_templates_prices', 'COUNT(*) as n ', array('template_id' => $id, "currency" => $curId));
            $data = mysql_fetch_assoc($result);
            if ($data['n'] > 0) {
                update_query("vpsnet_templates_prices", $params, array("template_id" => $id, "currency" => $curId));
            } else {
                $params = array_merge(array('template_id' => $id, "currency" => $curId), $params);
                insert_query("vpsnet_templates_prices", $params);
            }
        }
        $params = array(
            "name" => $_POST['name'],
            "description" => $_POST['description'],
            "cloud_id" => $cloud_id
        );
        $result = select_query('vpsnet_templates', 'COUNT(*) as n', array('id' => $id));
        $data = mysql_fetch_assoc($result);
        if ($data['n'] > 0) {
            update_query("vpsnet_templates", $params, array("id" => $id));
        } else {
            $params = array_merge(array('id' => $id, 'cloud_id' => $cloud_id), $params);
            insert_query("vpsnet_templates", $params);
        }
        exit();
        break;
    case 'togglecloud':
        $cloud_id = $_POST['cloud_id'];
        $status = $_POST['enabled'] == 'true' ? 1 : 0;
        $result = select_query('vpsnet_clouds', 'COUNT(*) as n', array('id' => $cloud_id));
        $data = mysql_fetch_assoc($result);
        if ($data['n'] > 0) {
            update_query("vpsnet_clouds", array('status' => $status), array("id" => $cloud_id));
        } else {
            insert_query("vpsnet_clouds", array('status' => $status, 'id' => $cloud_id));
        }
        break;
        
    case 'toggletemplategroup':
        $cloud_id = $_POST['cloud_id'];
        $status = $_POST['enabled'] == 'true' ? 1 : 0;
        $name = $_POST['name'];
        $result = select_query('vpsnet_templates_groups', 'COUNT(*) as n', array('name' => $name, 'cloud_id'=>$cloud_id));
        $data = mysql_fetch_assoc($result);
        if ($data['n'] > 0) {
            update_query("vpsnet_templates_groups", array('status' => $status), array('name' => $name, 'cloud_id'=>$cloud_id));
        } else {
            insert_query("vpsnet_templates_groups", array('status' => $status, 'name' => $name, 'cloud_id'=>$cloud_id));
        }
        break;    
        
     case 'toggletemplate':
        $cloud_id = $_POST['cloud_id'];
        $status = $_POST['enabled'] == 'true' ? 1 : 0;
        $id = $_POST['id'];
        $result = select_query('vpsnet_templates', 'COUNT(*) as n', array('id' => $id, 'cloud_id'=>$cloud_id));
        
        $data = @mysql_fetch_assoc($result);
        if ($data['n'] > 0) {
            update_query("vpsnet_templates", array('status' => $status), array('id' => $id, 'cloud_id'=>$cloud_id));
        } else {
            insert_query("vpsnet_templates", array('status' => $status, 'id' => $id, 'cloud_id'=>$cloud_id));
        }
        
        break;   

    case 'cloudprice' :

        $cloud_id = $_POST['cloud_id'];
        
        $nodeprice = json_encode($_POST['vpsprice']);
        $cloudname = $_POST['cloudname'];

        $result = select_query('vpsnet_clouds', 'COUNT(*) as n', array('id' => $cloud_id));
        $data = @mysql_fetch_assoc($result);
        if ($data['n'] > 0) {
            update_query("vpsnet_clouds", array('nodeprice' => $nodeprice,'name' => $cloudname), array('id' => $cloud_id));
        } else {
            insert_query("vpsnet_clouds", array('id' => $cloud_id, 'status'=>'1', 'nodeprice' => $nodeprice, 'name' => $cloudname));
        }
        echo $nodeprice;
        break;

    case 'serverinfo' :
        $id = $_GET['id'];
        $vps = new vps();
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        $cp = $vm->getCpanel();
        foreach ($vm->virtual_machine_licenses as $key => $value) {
           switch($value->virtual_machine_license->license_id){
            case '2' : 
                $licenses[] = 'Softaculous';                
                break;
            case '3' : 
                $licenses[] = 'RVskin';
                break;
            case '4' : 
                $licenses[] = 'Litespeed';
                break;
            case '8' : 
                $licenses[] = 'WHMCS';
                break;
            case '9' : 
                $licenses[] = 'Hostbill';
                break; 
           }
        }
        $result = select_query('vpsnet_clouds', '*',array('id'=>$vm->cloud_id));
        $clouds = array();
        if(mysql_num_rows($result) > 0)
            $clouds = mysql_fetch_assoc($result);

        $table = '<table width="500" border="0" class="vps-overview">
        <tbody>
                <tr>
                        <td class="right-aligned"><b>Hostname</b></td>
                        <td class="courier-font">'.$vm->hostname.'.'.$vm->domain_name.'</td>
                        <td class="right-aligned"><b>Cloud</b></td>
                        <td class="courier-font">'.(!empty($clouds['name']) ? $clouds['name'] : $vps->getCloudName($vm->cloud_id)).'</td>

                </tr>
                <tr>
                        <td class="right-aligned"><b>Nodes</b></td>
                        <td class="courier-font">'.$vm->regular_nodes_count.'+'.$vm->storage_nodes_count.'+'.$vm->ram_nodes_count.'</td>
                        <td class="right-aligned"><b>Backups enabled</b></td>
                        <td class="backups">'.($vm->backups_enabled || $vm->rsync_backups_enabled || $vm->r1_soft_backups_enabled ? 'yes':'no').'</div></td>

                </tr>
                <tr>
                        <td class="right-aligned"><b>Initial root password</b></td>
                        <td class="courier-font">'.$vm->password.'</td>
                        <td class="right-aligned"><b>IP Address</b></td>
                        <td class="courier-font">'.$vm->primary_ip_address->ip_address->ip_address.'</td>

                </tr>
                <tr>
                        <td class="right-aligned"><b>Running</b></td>
                        <td class="power-status">'.($vm->running ? 'yes' : 'no').'</td>
                        <td class="right-aligned"><b>Deployed storage</b></td>
                        <td class="courier-font">'.$vm->deployed_disk_size.'</td>
                </tr>
                <tr>
                        <td class="right-aligned"><b>Bandwidth Usage</b></td>
                        <td class="courier-font">'.formatBytes($vm->bandwidth_used*1024).'</td>
                        <td class="right-aligned"><b>Control Panel</b></td>
                        <td class="courier-font">'.$cp.'</td>
                </tr>

                <tr>
                        <td valign="top" class="right-aligned"><b>Template</b></td>
                        <td valign="top" class="courier-font">'.$vps->getTemplateName($vm->cloud_id, $vm->system_template_id).'</td>
                        <td class="right-aligned"><b>Licenses</b></td>
                        <td class="courier-font">'.(count($licenses) > 0 ? implode('<br/>',$licenses) : 'none').'</td>
                </tr>
        </tbody>
</table>';
        echo $table;    
        break;
}
?>