<?php

if(!isset($_SERVER['PATH_INFO'])) {
	die("No path info (VM ID not set)");
}

$matches = array();
if(!preg_match('#^/(\d+)/#U', $_SERVER['PATH_INFO'], $matches)) {
	die("Couldn't figure out the VM ID from path info");
}
$id = (int) $matches[1];
$_SERVER['PATH_INFO'] = preg_replace('#^/(\d+)/#U', "/", $_SERVER['PATH_INFO']);

require_once("../../../dbconnect.php");
require_once("class.php");

$vps = new vps();

$vm = new VirtualMachine();
$vm->id = $id;

$vm->loadFully();

if($vm->consumer_id != $vps->getServiceId()) {
	die("Access denied to this VPS");
}

$vm->showConsole();
