<script type="text/javascript">
{literal}
(function($){
  $(function() {
      $("#cpanel_help").dialog({
              autoOpen: false,
              resizable: false,
              height: 450,
              width: 600,
              modal: true
      });
          
     $("a[data-controls-modal=show-cpanel]").click(function(e){
         e.preventDefault();
         $("#cpanel_help").data('dialog').open();
      })
  });
})(jQuery);
{/literal}
</script>
<div id="cpanel_help" title="cPanel Install">
<b>Important:</b> cPanel and WHM cannot be installed on a production web server; you must use a server with a freshly installed operating system.<br><br>

It is important to consider how many sites you plan to host with your web server. For example, if your server is going to host a lot of websites, each with its own set of email addresses and databases, you will need more than nodes then if you wish to only host one or two sites.<br><br>

cPanel recommends a minimum of 266Mhz and 256MB of RAM, so a one node server should serve as a final minimum. Please note this must be installed on a freshly installed CentOS or CloudLinux server, VPS.NET provides images with cPanel already installed.<br><br>

<b>Install instructions</b><br><br>

To begin your installation on a fresh CentOS or CloudLinux server, use the following commands:<br><br>

yum install perl wget<br>
cd /home &ndash; Opens the directory /home.<br>
wget -N http://layer1.cpanel.net/latest &ndash; Fetches the latest installation file from the cPanel servers.<br>
sh latest &ndash; Opens and runs the installation files.<br>
/usr/local/cpanel/cpkeyclt &ndash; Activates your license after installation.<br><br>


If you elect to use a prebuilt cPanel image, please run /scripts/upcp to update your cPanel to the newest version.<br><br>

For more information, please see <a href="http://docs.cpanel.net/twiki/bin/view/AllDocumentation/InstallationGuide/WebHome">http://docs.cpanel.net/twiki/bin/view/AllDocumentation/InstallationGuide/WebHome</a>

</div>
