{if $backupsEnabled}
    {if !$preconf}
    {literal}
    <script type="text/javascript">
        function templateprompt(backup_id){
            var name = prompt('{/literal}{$LANG.vpsnetEnterLabel}{literal}', '{/literal}{$LANG.vpsnetCustomTemplate}{literal}');
                if(name !== null)
                    window.location = 'vps-cloud.php?m=backup_convert&id={/literal}{$vpsId}{literal}&backup='+backup_id+'{/literal}{$getsuff}{literal}&name='+escape(name)+'';
            return false;
        }
        </script>
    {/literal}
    {/if}
<fieldset>
    <legend><b>Snapshots</b></legend>
    
    <div><table class="zebra-striped table table-striped" width="100%">
                <tr>
                    <th align="left">{$LANG.vpsnetbackupLabel} </th>
                    <th align="left">{$LANG.vpsnetbackupType} </th>
                    <th align="left">{$LANG.vpsnetbackupState}</th>
                    <th align="left">{$LANG.vpsnetbackupDateTime} </th>
                    <th align="left">{$LANG.vpsnetbackupSize}</th>
                    <th>{$LANG.vpsnetbackupActions}</th>
                </tr>
                {foreach from=$listBackups item=backup}
                    <tr>
                    <td width="100%">{$backup->label|escape:'html':'utf-8'}</td>
                    <td>{if $backup->backup_type ==  'normal'}Manual{else}Auto{/if}</td>
                    <td nowrap>{if $backup->built ==  1}Built{else}Creating{/if}</td>
                    <td nowrap>{if $backup->built_at} {$backup->built_at|date_format:"%B %e, %Y, %l:%M %P"} {/if}</td>
                    <td nowrap>{if $backup->backup_size} {$backup->backup_size}{/if}</td>
                    <td align="center" nowrap="nowrap">
                        {if $backup->built}
                                <a href="vps-cloud.php?m=restore&id={$vpsId}&backup={$backup->id}" onClick="return confirm('{$LANG.vpsnetbackupConfirmRestore}')">
                                    <img src="templates/default/vps/images/backup_and_restore.png" border="0" alt="Restore backup" title="Restore backup"/>
                                </a>
                                {if !$backup->auto_backup_type}
                                {if !$preconf}
                                <a href="vps-cloud.php?m=backup_convert&id={$vpsId}&backup={$backup->id}">
                                    <img src="templates/default/vps/images/backup_manager.png" border="0" onClick="templateprompt({$backup->id}); return false;" alt="Convert to template" title="Convert to template"/>
                                </a>
                                {/if}
                                <a href="vps-cloud.php?m=backup_remove&id={$vpsId}&backup={$backup->id}" onClick="return confirm('{$LANG.vpsnetbackupConfirmDelete}')">
                                    <img src="templates/default/vps/images/backup_delete.png" border="0" alt="Delete" title="Delete"/>
                                </a>
                            {/if}
                        {/if}
                    </td>
                   </tr>
                {/foreach}
    <tr><td colspan="6">
            <form style="display: inline;" method="post">
                <button class="btn pull-right" name="createbackup" type="submit">{$LANG.vpsnetbackupCreate}</button>
            </form>
        </td></tr>
    </table></div>
    
</fieldset>  
{/if}
{if $rsync}
<fieldset>
<legend><b>{$LANG.vpsnetRsyncBackups}</b></legend>
<table border="0">
    <tr>
        <td><b>{$LANG.vpsnetbackupUsername}:</b> </td>
        <td>{$rsync.username}</td><td>&nbsp;&nbsp;&nbsp;</td>
        <td><b>{$LANG.vpsnetbackupPassword}:</b> </td>
        <td>{$rsync.password}</td><td>&nbsp;&nbsp;&nbsp;</td>
        <td><b>{$LANG.vpsnetbackupQuota}:</b> </td>
        <td>{$rsync.quota}</td>
        <td>&nbsp;&nbsp;&nbsp;</td>
        <td colspan="2"><a data-controls-modal="show-rsync">{$LANG.vpsnetbackupInstructions}</a>
        </td>
     </tr>
    </table>
</fieldset>
{/if}
{if $r1soft}
<fieldset>
    <legend><b>{$LANG.vpsnetR1SoftLicense}</b></legend>
    <table border="0">
        <tr>
            <td><b>{$LANG.vpsnetbackupLicenseKey}:</b></td>
            <td>{$r1soft.key}</td>
        </tr>
        <tr>
            <td><b>Linux CDP Agent Download&nbsp;&nbsp;</b></td>
            <td>
                <a href="http://download.r1soft.com/d/linux-agent/1.79.0-x86/" target="_blank">32-bit</a>&nbsp;&nbsp;&nbsp;
                <a href="http://download.r1soft.com/d/linux-agent/1.79.0-x86_64/" target="_blank">64-bit</a>
            </td>
        </tr>
    </table>
</fieldset>
{/if}