<script src="./modules/servers/vpsnet/assets/javascript/jquery-ui.min.js" type="text/javascript"></script>

<script src="./modules/servers/vpsnet/assets/javascript/slider.js" type="text/javascript"></script>

<link href="templates/{$template}/vps/slider.min.css" media="screen" rel="stylesheet" type="text/css" />

<script type="text/javascript">
{literal}
var options = {
    maxAssignable : {},
    minAssignable : {},
    minShown : {},
    initialNodes : {}
};
{/literal}
options.maxAssignable.regular = {$maxAssignableNodes};
options.maxAssignable.storage = {$maxAssignableStorageNodes};
options.maxAssignable.ram = {$maxAssignableRamNodes};

{if isset($minAssignableNodes)}
    options.minAssignable.regular = {$minAssignableNodes};
    options.minShown.regular = {$minShownNodes};
{/if}


{if isset($minAssignableStorageNodes)}
    options.minAssignable.storage = {$minAssignableStorageNodes};
{/if}

{if isset($minAssignableRamNodes)}
    options.minAssignable.ram = {$minAssignableRamNodes};
{/if}

{if isset($defaultNodes)}
    options.initialNodes.regular = {$defaultNodes};
{/if}

{if isset($defaultStorageNodes)}
    options.initialNodes.storage = {$defaultStorageNodes};
{/if}

{if isset($defaultRamNodes)}
    options.initialNodes.ram = {$defaultRamNodes};
{/if}


{if $rsync_price }
    options['rsync_price'] = {$rsync_price};
{/if}

{if $snapshot_price }
    options['snapshot_price'] = {$snapshot_price};
{/if}
    
   var xhr;
    {literal}
    var sliderAssets = {};
    var smartypost = {};
    {/literal}
    {if isset($smarty.post.tempalates)}
        smartypost.tempalates = '{$smarty.post.tempalates}';
        smartypost.templateid = '{$smarty.post.templateid}';
    {/if}
    {literal}
    (function($){
        sliderAssets.LoadCloudTemplates = function (callback){
            if($("#cluster").val()){
                if(xhr && xhr.readystate != 4){
                    xhr.abort();
                    sliderAssets.endLoading();
                }
               
                sliderAssets.startLoading($("#groupsdiv"));  
                $("#tempalates").hide();
                $("#templatedivwrap").hide();
                $("#descriptionwrap").hide();
                $("#pricewrap").hide();

                xhr = $.get('vps-cloud.php?m=templatesgroups&c='+$("#cluster").val(), function(data){
                    $("#groupsdiv").html(data);
                    sliderAssets.endLoading();
                    if(smartypost.tempalates !== undefined)
                        $("#tempalates").val(smartypost.tempalates);
                    if(callback)
                        sliderAssets[callback]('getTemplatesDesc');
                 })
                $("#templatedesc").html('');
             }
        }
        sliderAssets.startLoading = function(el){
            var loader = $('<p><img src="templates/{/literal}{$template}{literal}/vps/images/loading.gif"/> Loading...</p>').css({
                textAlign: 'center',
                margin: '5px'
            }).attr('id','loader');
            $(el).after(loader);
        }
        sliderAssets.endLoading = function(){
            $('#loader').slideUp();
            $('#loader').remove();
        }

        sliderAssets.getTemplates = function(callback) {
            $("#templatediv").html('');
            $("#templatedesc").html('');
            $("#descriptionwrap").hide();
            $("#pricewrap").hide();
            if(xhr && xhr.readystate != 4){
                xhr.abort();
                sliderAssets.endLoading();
            }
            sliderAssets.startLoading($("#templatediv"));
            xhr = $.get('vps-cloud.php?m=cloudtemplates&c='+$("#cluster").val()+'&templates='+escape($("#tempalates").val()), 
                function(data){
                    $("#templatediv").html(data);
                    sliderAssets.endLoading();
                    if(smartypost.templateid !== undefined)
                        $("input[value=" + smartypost.templateid + "]").attr('checked',true);
                    if(callback !== undefined)
                        sliderAssets[callback](smartypost.templateid);                    
                    $("#templatedivwrap").slideDown();
            })
        }

        sliderAssets.getTemplatesDesc = function(id) {
            $("#descriptionwrap").hide();
            $("#pricewrap").hide();
            if(xhr && xhr.readystate != 4){
                xhr.abort();
                sliderAssets.endLoading();
            }
            sliderAssets.startLoading($("#descriptionwrap"));
            xhr = $.getJSON('vps-cloud.php?m=templatedesc&id='+id+'&c='+$("#cluster").val(),function(response, status){
                sliderAssets.endLoading();
                if(response.description.length > 0){
                    $("#templatedesc").html(response.description);
                    $("#descriptionwrap").slideDown();
                }else{
                    $("#descriptionwrap").slideUp();
                }
                
                if(parseInt(response.price.replace(/\D/g,'')) > 0){
                    $("#templateprice").html(response.price);
                    $("#pricewrap").slideDown();
                }else{
                    $("#pricewrap").slideUp();
                }
            });
        }
        $(function(){
            $("#cluster").change(function(){
                nodeBandwidth = parseInt($(this).find('option:selected').data('bandwidth'),10);
                $('#slider').slider('value',$('#slider').slider('value'));
                sliderAssets.LoadCloudTemplates();
                var addprice = $(this).find('option:selected').data('add-price');
                if(addprice){
                    $('.addNP').text(addprice);
                    $('#show-additNodePrice').modal('show');
                }
            });
            //LoadCloudTemplates();
            $("#descriptionwrap").hide();
            $("#pricewrap").hide();

            $(".winclose").click(function(e){
                e.preventDefault();
                $(this).parent().parent().modal('hide');
            })

            $("#createform, #editform").submit(function(){
                var btn = $(this).find('button.btn.primary');
                btn.addClass('disabled').text(btn.attr('data-loading-text'));
            });

            $("input[name=cpanel]").change(function(){
                if($(this).val() === 'cpanel')
                    $('.cpanelAddons').show();
                else
                    $('.cpanelAddons').hide();
            });

            $("body").on("change", "#tempalates", function () {
                sliderAssets.getTemplates()
            });
            $("body").on("click", "input[name=templateid]", function(){
                sliderAssets.getTemplatesDesc(this.value);
            });
        })
    })(jQuery);




// var xhr;
// 	jQuery(function(){
// 		jQuery("#cluster").change(function(){
//             nodeBandwidth = parseInt(jQuery(this).find('option:selected').data('bandwidth'),10);
//             $('#slider').slider('value',jQuery('#slider').slider('value'));
//             LoadCloudTemplates();
//             var addprice = jQuery(this).find('option:selected').data('add-price');
//             if(addprice){
//                 jQuery('.addNP').text(addprice);
//                 jQuery( "#show-additNodePrice" ).dialog('open');
//             }
//         });
//         //LoadCloudTemplates();
//         jQuery( "#show-additNodePrice").dialog({
//             height: 190,
//             width: 370,
//             modal: true,
//             autoOpen: false,
//             buttons: {
//                 Ok: function() {
//                     jQuery( this ).dialog( "close" );
//                 }
//             }
//         });
//         jQuery("form").submit(function(){
//             var btn = jQuery(this).find('button[type=submit]');
//             btn.addClass('disabled').text(btn.data('loading-text')).attr('disabled',true);
//         });
//         jQuery("input[name=cpanel]").change(function(){
//             if(jQuery(this).val() === 'cpanel')
//                 jQuery('.cpanelAddons').show();
//             else
//                 jQuery('.cpanelAddons').hide();
//         })
// 	});
	
// 	function LoadCloudTemplates(callback){
//         if(xhr && xhr.readystate != 4){
//             xhr.abort();
//         }
// 		jQuery("#groupsdiv").html('<p>Loading...</p>');
// 		xhr = jQuery.get('vps-cloud.php?m=templatesgroups&c='+jQuery("#cluster").val(), function(data){
//             jQuery("#groupsdiv").html(data);
//             {/literal}
//             {if isset($smarty.post.tempalates)}               
//             {literal}
//             jQuery("#tempalates").val("{/literal}{$smarty.post.tempalates}{literal}");
//             if(callback)
//                 callback(getTemplatesDesc);
//             {/literal}
//             {/if}
//             {literal}
//         });
//         jQuery("#templatedesc").html('');
// 	}


//     function getTemplates(callback) {
//         if(xhr && xhr.readystate != 4){
//             xhr.abort();
//         }  
//         jQuery("#templatediv").html('Loading...');
//         jQuery("#templatedesc").html('');
//         xhr = jQuery.get('vps-cloud.php?m=cloudtemplates&c='+jQuery("#cluster").val()+'&templates='+escape(jQuery("#tempalates").val()), 
//         function(data){
//             jQuery("#templatediv").html(data);
//             {/literal}
//                 {if isset($smarty.post.tempalates)}               
//                 {literal}
//                 jQuery("input[value={/literal}{$smarty.post.templateid}{literal}]").attr('checked',true);
//                 if(callback)
//                     callback({/literal}{$smarty.post.templateid}{literal});
//                 {/literal}
//                 {/if}
//                 {literal}
//         });
//     }

//     function getTemplatesDesc(id) {
//         if(xhr && xhr.readystate != 4){
//             xhr.abort();
//         }
//         jQuery("#templatedesc").html('Loading...');            
//         xhr = jQuery.getJSON('vps-cloud.php?m=templatedesc&id='+id+'&c='+jQuery("#cluster").val(),function(response, status){
//             if(response.description.length > 0){
//                 jQuery("#templatedesc").html(response.description);
//                 jQuery("#descriptionwrap").slideDown();
//             }else{
//                 jQuery("#descriptionwrap").slideUp();
//             }
//             if(parseInt(response.price.replace(/\D/g,'')) > 0){
//                 jQuery("#templateprice").html(response.price);
//                 jQuery("#pricewrap").slideDown();
//             }else{
//                 jQuery("#pricewrap").slideUp();
//             }
//         })
//     }

</script>
{/literal}
