{include file="$template/vps/header.tpl"}
{include file="$template/vps/slider-assets.tpl"}
<h2>{$LANG.vpsnetcloudnodemanagement}</h2>
{$LANG.vpsnetcloudnodemanagementinfo}<br />

<script type="text/javascript">
{literal}
options = options || {};

options.nodeCost = { 0: 0},
options.storageCost = { 0: 0},
options.ramCost = { 0: 0}
{/literal}

{if count($nodeCostRegular)>0}
{foreach from=$nodeCostRegular item=price key=i}
	options.nodeCost[{$i}] = {$price}
{/foreach}
{/if}

{if count($nodeCostStorage)>0}
{foreach from=$nodeCostStorage item=price key=i}
	options.storageCost[{$i}] = {$price}
{/foreach}
{/if}

{if count($nodeCostRam)>0}
{foreach from=$nodeCostRam item=price key=i}
	options.ramCost[{$i}] = {$price}
{/foreach}
{/if}

{if $nodes_to_options }
	var nodes_to_options = {$nodes_to_options|@json_encode};
{/if}
{if $storage_nodes_to_options }
	var storage_nodes_to_options = {$storage_nodes_to_options|@json_encode};
{/if}
{if $ram_nodes_to_options}
	var ram_nodes_to_options = {$ram_nodes_to_options|@json_encode};
{/if}

{literal}


(function($){
	$(function(){
		$.fn.vn_nodes_slider(options);
		$("#updateform").submit(function(){
			$('#nodes_configoption_id').val(nodes_to_options[$('#num-nodes').val()]);
			$('#storage_nodes_configoption_id').val(storage_nodes_to_options[parseInt($('#storage-num-nodes').val(), 10)]);
			$('#ram_nodes_configoption_id').val(ram_nodes_to_options[parseInt($('#ram-num-nodes').val(), 10)]);

			if (($('#num-nodes').val() == options.defaultNodes) && ($('#storage-num-nodes').val() == options.defaultStorageNodes) && ($('#ram-num-nodes').val() ==options.defaultRamNodes) ) {
				alert('No changes were made! ');
				return false;
			}
		})
	});
})(jQuery);

{/literal}
</script>

<form>
<div id='vps-net-slider' class="vps-net-slider">
{include file="$template/vps/sliders.tpl"}
	<div class="form-wrap slices" style="margin:-10px auto 30px;">
		<ul class='slice-details'>
		  <li class='cpu'>
		    <h4>{$LANG.vpsnetdedicatedcpu}</h4>
		    <p></p>
		  </li>
		  <li class='ram'>
		    <h4>{$LANG.vpsnetram}</h4>
		    <p></p>
		  </li>
		  <li class='storage'>
		    <h4>{$LANG.vpsnetstorage}</h4>
		    <p></p>
		  </li>
		  <li class='bandwidth'>
		    <h4>{$LANG.vpsnetbandwidth}</h4>
		    <p></p>
		  </li>
		  <li class='price'>
		    <h4>{$LANG.vpsnetnodecarmonthlyprice}</h4>
		    <p class='cost'>
		     {if ($currency.prefix) } {$currency.prefix}<span class='cost'></span>
		     {else} <span class='cost'></span> {$currency.suffix}
		     {/if}
		    </p>
		    <p class='saving'></p>
		  </li>
		</ul>
	</div>
</div>
</form>

<form method="post" action="upgrade.php" id="updateform">
	<input type="hidden" name="step" value="2"/>
	<input type="hidden" name="type" value="configoptions"/>
	<input type="hidden" name="id" value="{$service}"/>
	<input type="hidden" name="configoption[{$nodes_configoption_id}]" id="nodes_configoption_id"/>
	<input type="hidden" name="configoption[{$storage_nodes_configoption_id}]" id="storage_nodes_configoption_id"/>
	<input type="hidden" name="configoption[{$ram_nodes_configoption_id}]" id="ram_nodes_configoption_id"/>
	<p align="center"><button type="submit" value="{$LANG.vpsnetclickheretocontinue}" class="buttongo btn primary" >{$LANG.vpsnetclickheretocontinue}</button></p>
</form>
{include file="$template/vps/footer.tpl"}
