{include file="$template/vps/header.tpl"}
<script src="./modules/servers/vpsnet/assets/javascript/jquery-ui.js" type="text/javascript"></script>
<link href="templates/{$template}/vps/slider.min.css" media="screen" rel="stylesheet" type="text/css" />
<script type="text/javascript">
 var xhr;
{literal}
 var lang = {};
{/literal}
 lang.loading = '{$LANG.vpsnetloading}';
var template = '{$template}';
var vm = {$vm|@json_encode};
{literal}
 (function($){
    function startLoading(el){
	    var loader = $("<p><img src=\"templates/" + template + "/vps/images/loading.gif\"/>" + lang.loading + "</p>").css({
		textAlign: 'center',
		margin: '5px'
	    }).attr('id','loader');
	    $(el).after(loader);
	}
	function endLoading(){
	    $('#loader').slideUp();
	    $('#loader').remove();
	}
    function LoadCloudTemplates(){
    		$("#tempalates").hide();
            $("#templatedivwrap").hide();
            $("#descriptionwrap").hide();
            $("#pricewrap").hide();
            if(xhr && xhr.readystate != 4){
                xhr.abort();
                endLoading();
            }
            startLoading($("#groupsdiv"));
            xhr = $.get('vps-cloud.php?m=templatesgroups&c=' + vm.cloud_id + '&sid=' + vm.id, function(data){
                $("#groupsdiv").html(data);
                endLoading();
            });
    }

    function getTemplates() {
    	$("#templatedivwrap").hide();
        $("#templatedesc").html('');
        $("#descriptionwrap").hide();
        $("#pricewrap").hide();
    	if(xhr && xhr.readystate != 4){
            xhr.abort();
            endLoading();
        }
        startLoading($("#templatedivwrap"));
        xhr = $.get('vps-cloud.php?m=cloudtemplates&c=' + vm.cloud_id + '&templates='+escape($("#tempalates").val()), 
            function(data){
                $("#templatediv").html(data);
                endLoading();
                $("#templatedivwrap").slideDown();
        });
    }

    function getTemplatesDesc(id) {
        $("#descriptionwrap").hide();
        $("#pricewrap").hide();
        if(xhr && xhr.readystate != 4){
            xhr.abort();
            endLoading();
        }
        startLoading($("#descriptionwrap"));
        xhr = $.getJSON('vps-cloud.php?m=templatedesc&id='+id+'&c=' + vm.cloud_id, function(response, status){
            endLoading();
            if(response.description.length > 0){
                $("#templatedesc").html(response.description);
                $("#descriptionwrap").slideDown();
            }else{
                $("#descriptionwrap").slideUp();
            }

            if(response.price.replace(/\D+/, '') > 0){
                $("#templateprice").html(response.price);
                $("#pricewrap").slideDown();
            }else{
                $("#pricewrap").slideUp();
            }
        });
    }


    $(function(){
        LoadCloudTemplates();
        $("form").submit(function () {
            var btn = $(this).find('button.btn.primary');
            btn.addClass('disabled').text(btn.attr('data-loading-text'));
        });
        $("body").on("change", "#tempalates", function(){
            getTemplates();
        });
        $("body").on("click", "input[name=templateid]", function(){
            getTemplatesDesc(this.value);
        });
    });
})(jQuery);
{/literal}
</script>


<h2>{$LANG.vpsnetreinstall}</h2>

<form action="vps-cloud.php?m=reinstall&id={$vm->id}" method="post">
<div class="clearfix">
            <label>{$LANG.vpsnetreinstalltemplategroup}</label>
            <div class="input">
		<div id="groupsdiv" style="width:100%"></div>

            </div>
          </div>
          <div class="clearfix" id="templatedivwrap" style="display:block;">
            <label>{$LANG.vpsnetreinstalltemplatetext}</label>
            <div class="input">
		<ul class="inputs-list" id="templatediv"><li>{$LANG.vpsnetstep5templateselect}</li></ul>
            </div>
          </div>

        <div class="clearfix" id="descriptionwrap">
		      <p>{$LANG.vpsnetreinstalldescription}: <p id="templatedesc"></p></p>
        </div>
        <div class="clearfix" id="pricewrap">
            <p>{$LANG.vpsnetreinstallprice}: <strong id="templateprice"></strong></p>
          </div>
 {*
	  <table width="100%" cellspacing="0" cellpadding="0" class="frame">
			<tr><td><table width="100%" border="0" cellpadding="10" cellspacing="0">
				<tr>
                                        <td  class="fieldarea" valign="top"><div style="width: 100px;">{$LANG.vpsnetreinstalltemplategroup}</div></td>
                                        <td><div id="groupsdiv">{$LANG.vpsnetloading}</div></td>
                                </tr>
				<tr>
                                    <td  class="fieldarea" valign="top"><div style="width: 100px;">{$LANG.vpsnetreinstalltemplatetext}</div></td><td colspan="2">
                                        <div id="templatediv">
                                        	{$LANG.vpsnetreinstalltemplategroupinfo}</div>
                                    </td>
                                </tr>
				<tr>
                                    <td  class="fieldarea" valign="top"><div style="width: 100px;">{$LANG.vpsnetreinstalldescription}</div></td><td colspan="2">
                                        <div id="templatedesc">

        				</div>
                                    </td>
                                </tr>
			</table></td></tr>
		</table>
*}

<div class="actions">
             <a  style="margin-left:10px;" href="vps-cloud.php?m=overview&id={$vm->id}" class="btn pull-right">Cancel</a>
           <button type="submit" class="btn primary pull-right" value="{$LANG.vpsnetreinstall}">{$LANG.vpsnetreinstall}</button>
           
           <br clear="all"/>
</div>
</form>

{include file="$template/vps/footer.tpl"}
