{if !$loggedin}
	{$LANG.vpsnetmainpleaselogin}.
{else}

{include file="$template/vps/header.tpl"}

{if isset($smarty.get.updated)}
    <div class="alert alert-success">
        {$LANG.vpsnetSuccessUpdateVPS}
    </div>
{/if}

{if isset($smarty.get.deleted)}
    <div class="alert alert-success">
        {$LANG.vpsnetSuccessDeleteVPS}
    </div>
{/if}

<h2>{$LANG.vpsnetsummarycnodes}</h2>



{include file="$template/vps/toolbar.tpl"}



<table class="zebra-striped table table-striped" width="100%" >
  <tr>
    <th>&nbsp;</th>
    <th align="left">{$LANG.vpsnetsummarylabel}</th>
    <th align="left">{$LANG.vpsnetsummaryhostname}</th>
    <th align="left">IP</th>
    <th align="left">{$LANG.vpsnetsummarylocation}</th>
    <th style="text-align:center">{$LANG.vpsnetslidersnodes}</th>
    <th style="text-align:center">{$LANG.vpsnetsummaryactions}</th>
  </tr>
  {foreach from=$vms item=vm}
  {assign var='vmid' value=$vm->id}
  <tr {if ($vm->slices_count)==0} class="deleted"{/if}>
    <td>{if $vm->running == 1}<img src="modules/servers/vpsnet/assets/images/vm-on.png" border="0" alt="{$LANG.vpsnetimagealton}" title="On"/>{else}<img src="modules/servers/vpsnet/assets/images/vm-off.png" border="0" alt="{$LANG.vpsnetimagealtoff}" title="Off"/>{/if}</td>
    <td><a href='vps-cloud.php?m=overview&id={$vm->id}'>{$vm->label}</a></td>
    <td>{$vm->hostname}.{$vm->domain_name}</td>
    <td>{$vm->primary_ip_address->ip_address->ip_address}</td>
    <td>{$vm->cloud_label}</td>
    <td style="text-align:center">
        <div class="vps-regular-nodes" title="{$vm->slices_count} regular nodes">{$vm->slices_count}</div>
        <div class="vps-storage-nodes" title="{$vm->storage_nodes_count} storage nodes">{$vm->storage_nodes_count}</div>
        <div class="vps-ram-nodes" title="{$vm->ram_nodes_count} ram nodes">{$vm->ram_nodes_count}</div>
    </td>
    <td style="text-align:center">
        {if ($vm->slices_count)!=0}

                <a href='vps-cloud.php?m=overview&id={$vm->id}'><img src="modules/servers/vpsnet/assets/images/server.png" border="0" alt="{$LANG.vpsnetimagealtoverview}" title="Overview"/></a>

                {if (!$restrict.edit)}
                <a href="vps-cloud.php?m=edit&id={$vm->id}"><img src="modules/servers/vpsnet/assets/images/server_edit.png" border="0" alt="{$LANG.vpsnetimagealtedit}" title="Edit"/></a>
                {/if}

                {if (!$restrict.delete && ($dbvms.$vmid.status == '1' || !isset($dbvms.$vmid)))}
                <a href="vps-cloud.php?m=delete&id={$vm->id}"><img src="modules/servers/vpsnet/assets/images/server_delete.png" border="0" alt="{$LANG.vpsnetimagealtdelete}" title="Delete"/></a>
                {/if}

        {else}
        {/if}
    </td>
  </tr>

  {/foreach}
</table>


{include file="$template/vps/footer.tpl"}

{/if}
