<?php
define("CLIENTAREA", true);
//Include the WHMCS Functions
if(file_exists("dbconnect.php")){
    //versions before 5.2
    require_once("dbconnect.php");
    require_once("includes/functions.php");
    require_once("includes/clientareafunctions.php");
}else{
    //5.2 and higher
    require_once("init.php");
}
require_once("includes/configoptionsfunctions.php");

//error_reporting(E_ALL & ~E_NOTICE);
//ini_set('display_errors', 1);

require_once("modules/servers/vpsnet/functions.php");
require_once("modules/servers/vpsnet/class.php");
require_once("modules/servers/vpsnet/pData.class.php");
require_once("modules/servers/vpsnet/pChart.class.php");
// Standard inclusions
if($_SERVER['HTTPS'] || defined( "FORCESSL" ))
    $in_ssl = true;
$vps = new vps();
$pagetitle = "VPS Configuration";
$pageicon = "images/support/clientarea.gif";
$breadcrumbnav = '<a href="index.php">' . $_LANG['globalsystemname'] . '</a>';
$breadcrumbnav .= ' > <a href="vps-cloud.php">VPS Configuration</a>';

initialiseClientArea($pagetitle, $pageicon, $breadcrumbnav);
//If they are not logged in divert them
if (!$_SESSION['uid']) {
    outputClientArea("vps/loggedout");
    exit();
}
if(!isset($_GET['st'])){
    try {
        $service = $vps->getServiceId();
    } catch (Exception $ex) {
        if ($ex->getMessage() == "Couldn't get client vps.net service ID") {
            outputClientArea("vps/no-service");
            die();
        }
    }
}
$preconf = false;
$getsuff = '';
if(isset($_GET['st']) && isset($_GET['id'])){
     $result = mysql_query("SELECT id, packageid FROM tblhosting WHERE 
        `userid` = '".$_SESSION['uid']."' 
        AND `id`=(SELECT tcv.relid FROM tblcustomfieldsvalues tcv 
            LEFT JOIN tblcustomfields tcf 
            ON tcf.id = tcv.relid 
            WHERE tcv.`value` = ".$_GET['id']." LIMIT 1) 
         ");
     
    if($result){
        $data = mysql_fetch_assoc($result);
        $q = "SELECT gid FROM tblproductconfiglinks WHERE pid = '{$data['packageid']}'";
        $res = mysql_query($q);
        if($data){
            $service = $data['id'];
            $preconf = true;
            $standalone = (bool)mysql_num_rows($res);
            $getsuff = '&st';            
        }
    }
}

$_SESSION['service'] = $service;
$smartyvalues['getsuff'] = $getsuff;
$smartyvalues['preconf'] = $preconf;
$smartyvalues['standalone'] = $standalone;
$smartyvalues['service'] = $service;
$result = select_query("tblhosting", "domainstatus", "id = '{$service}' LIMIT 1");
//if(!$result){
//     outputClientArea("vps/no-service");
//     die();
//}
if ((!$result || mysql_num_rows($result) == '0') && !$preconf) {
    outputClientArea("vps/no-nodes");
    die();
}
$status = mysql_fetch_assoc($result);
$status = trim(strtolower($status['domainstatus']));
if ($status != "active"  && !$preconf) {
    $smartyvalues['status'] = empty($status) ? 'unavailable' : $status;
    outputClientArea("vps/cloud-access-denied");
    die();
}
if (!isset($_GET['m'])) {
    $m = "summary";
} else {
    $m = $_GET['m'];
}
//print_r($_SESSION);
//echo $service;
$whmcsUser = new WHMCSUser((int) $_SESSION['uid']);
//print_r($whmcsUser);
$smartyvalues["restrict"] = $whmcsUser->restrict;
if (isset($_SESSION['vps_net_message'])) {
    $smartyvalues["message"] = $_SESSION['vps_net_message'];
    unset($_SESSION['vps_net_message']);
}
if (isset($_SESSION['vps_net_error'])) {
    $smartyvalues["error"] = $_SESSION['vps_net_error'];
    unset($_SESSION['vps_net_error']);
}

$result = select_query('tbladdonmodules','value, setting',array('module'=>'vpsnet'));

while ($data = mysql_fetch_assoc($result)) {
    $tval = json_decode($data['value'], true);
    $params[$data['setting']] = !is_null($tval) ? $tval : $data['value'];
}

//What is the module/action of the page ($m)
switch ($m) {
    default:
    case "summary":
        //Show the vps summary page
        $templatefile = "vps/summary";
        //Load the VPS's
        $result = select_query('vpsnet_clouds', '*',array());
        $clouds = array();
        if(mysql_num_rows($result) > 0)
            while($row = mysql_fetch_assoc($result)){
                $clouds[$row['id']] = array('status' => $row['status'], 'name' => $row['name']) ; 
            }


        $dbvmRes = select_query("vpsnet_vps", 'status, id', array('user_id' => $_SESSION['uid']));
        while($data = mysql_fetch_assoc($dbvmRes)){
            $dbvms[$data['id']] = $data; 
        }
        $vms = $vps->api()->getVirtualMachines($service);

        foreach($vms as $k=>$vm){
            $vms[$k]->cloud_label = !empty($clouds[$vm->cloud_id]['name']) ? $clouds[$vm->cloud_id]['name'] : $vm->cloud_label;
        }
        //		print_r($vms);
        $smartyvalues["vms"] = $vms;
        $smartyvalues['dbvms'] = $dbvms;
		
		 //convert package id to -1 from vps product id
		 $pid     = getPID_vpsnet();
		 //error on 1.3.8 ,change to packahe id if status =pending
		 mysql_query("update `tblhosting` set `packageid` = ".$pid."  WHERE `packageid` = -1 and userid = ".$_SESSION['uid']);
		// mysql_query("update `tblhosting` set `packageid` = -1  WHERE `packageid` = ".$pid." and userid = ".$_SESSION['uid']." and domainstatus <> 'Pending'");
		
        break;
    case "templatesgroups":
        $cid = (int) $_GET['c'];
        echo '<select id="tempalates" name="tempalates" size="10" style="width: 100%;">';
        if ($cid) {
            $templates = $vps->api()->getCloudsTemplatesGroups($cid);
            $sid = intval($_GET['sid']);
            if ($sid != 0) {
                $isWin = $vps->api()->isWindowsTemplate($sid);
            }
            $tgroup = array();
            $result = select_query('vpsnet_templates_groups', '*', array('cloud_id'=>$cid));
            if(mysql_num_rows($result) > 0)
                while($data = mysql_fetch_assoc($result)){
                    $tgroup[$data['name']] = $data['status']; 
                }                
            foreach ($templates as $tid => $group) {
                $tname = getTemplateName($tid, $cid);
                $label = (($tname && $tname !== NULL) ? $tname : htmlspecialchars($group, ENT_QUOTES, "utf-8"));   
                if ($isWin && $label == 'Windows' && (!isset($tgroup[$group]) || $tgroup[$group] == 1)) {
                    echo '<option value="' . $label . '">' . $label . '</option>';
                } elseif (!$isWin && $label != 'Windows' && (!isset($tgroup[$group]) || $tgroup[$group] == 1)) {
                    echo '<option value="' . $label . '">' . $label . '</option>';
                } elseif ($sid == 0 && (!isset($tgroup[$group]) || $tgroup[$group] == 1)) {
                    echo '<option value="' . $label . '">' . $label . '</option>';
                }
            }
        }
        echo '</select>';
        //foreach
        exit();
        break;
    case "templatedesc":
        $id = (int) $_GET['id'];
        $c = (int) $_GET['c'];
        $info = $vps->api()->getTemplateInfo($c, $id);
        $desc = getTemplateDesc($id, $c);
        $desc = !empty($desc) ? $desc : $info->description;

        $price = getTemplatePrice($id, $c);
        
        $price = isset($price) ? formatCurrency(number_format($price,2)) : '$'.$info->applicable_price->USD;
        $tname = getTemplateName($id, $c);

        $tname = !empty($tname) ? $tname : $info->label;
        echo json_encode(array('description' => $desc, 'price' => $price, 'name' => $tname));
        exit();
        break;
    case "cloudtemplates":
        $id = (int) $_GET['c'];
        $group = $_GET['templates'];
        
        $result = select_query('vpsnet_templates', '*', array('cloud_id'=>$id));
        $templ = array();
        if(mysql_num_rows($result) > 0)
            while($data = mysql_fetch_assoc($result)){
                $templ[$data['id']] = $data['status']; 
            }
                
        if ($id) {
            $resources = $vps->api()->getCloudsTemplates($id, $group);
            foreach ($resources as $tid => $name) {
                $tname = getTemplateName($tid, $id);
                $label = ($tname ? $tname : htmlspecialchars($name, ENT_QUOTES, "utf-8"));
                if (getTemplateStatus($tid, $id)) {
                    if ($CONFIG['Template'] == 'default') {
                        echo '
            				  <li>
            				    <label class="radio">
            				      <input type="radio" value="' . $tid . '" id="cloud-' . $id . '-' . $tid . '"  name="templateid">
            					' . $label . '
            				      </span>
            				    </label>
            				  </li>
                                ';
                    } else {
                        echo "<input type='radio' id='cloud-{$id}-{$tid}' name='templateid' value='{$tid}'/>
                              <label for='cloud-{$id}-{$tid}'>{$label}</label><br/>";
                    }
                }
            }
        }
        exit();
        break;
    case "overview":
        //View A VPS
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        //		print_r($vm);
        $smartyvalues['m'] = $m;

        $dbvmRes = select_query("vpsnet_vps", '*', array('id' => $id));
        $dbvm = mysql_fetch_assoc($dbvmRes);

        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        if (isset($_POST['action']) && $dbvm['status'] !== '0') {
            switch ($_POST['action']) {
                case "reboot":
                    $res = $vm->reboot();
                    if($res !== true){
                        $_SESSION['vps_net_error'] = $res;
                    }
                    header("Location: vps-cloud.php?m=overview&id={$id}".$getsuff);
                    die();
                    break;
                case "shutdown":
                    $res = $vm->shutdown();
                    if($res !== true){
                        $_SESSION['vps_net_error'] = $res;
                    }
                    header("Location: vps-cloud.php?m=overview&id={$id}".$getsuff);
                    die();
                    break;
                case "poweroff":
                    $res = $vm->powerOff();
                    if($res !== true){
                        $_SESSION['vps_net_error'] = $res;
                    }
                    header("Location: vps-cloud.php?m=overview&id={$id}".$getsuff);
                    die();
                    break;
                case "poweron":
                    $res = $vm->powerOn();
                    if($res !== true){
                        $_SESSION['vps_net_error'] = $res;
                    }
                    header("Location: vps-cloud.php?m=overview&id={$id}".$getsuff);
                    die();
                    break;
            }
        }
        //		print_r($vm);
        $cp = '';
        $smartyvalues['cp'] = $vm->getCpanel();
        switch ($smartyvalues['cp']) {
            case 'cpanel':
                $cp = 'cPanel <a data-controls-modal="show-cpanel" id="help-show-cpanel" href="javascript:void(0);"><img src="./modules/servers/vpsnet/assets/images/help_16x16.png" border="0" align="absmiddle"></a>';
                break;
            case 'isp manager':
                $cp = 'ISPmanager <a data-controls-modal="show-ispmanager"  id="help-show-ispmanager" href="javascript:void(0);"><img src="./modules/servers/vpsnet/assets/images/help_16x16.png" border="0" align="absmiddle"></a>';
                break;
            default:
                $cp = 'none';
                break;
        }
        if ($vm->backups_enabled || $vm->backup_licenses->rsync_license || $vm->backup_licenses->r1soft_license) {
            $vm->backups_enabled = true;
        }
        $result = select_query('vpsnet_clouds', '*',array('id'=>$vm->cloud_id));
        $clouds = array();
        if(mysql_num_rows($result) > 0)
            $clouds = mysql_fetch_assoc($result);

        foreach ($vm->virtual_machine_licenses as $key => $value) {
           switch($value->virtual_machine_license->license_id){
            case '2' : 
                $licenses[] = 'Softaculous <a data-controls-modal="show-softaculous" id="help-show-softaculous" href="javascript:void(0);"><img src="./modules/servers/vpsnet/assets/images/help_16x16.png" border="0" align="absmiddle"></a>';
                
                break;
            case '3' : 
                $licenses[] = 'RVskin <a data-controls-modal="show-rvskin" id="help-show-rvskin" href="javascript:void(0);"><img src="./modules/servers/vpsnet/assets/images/help_16x16.png" border="0" align="absmiddle"></a>';
                break;
            case '4' : 
                $licenses[] = 'Litespeed <a data-controls-modal="show-litespeed"  id="help-show-litespeed" href="javascript:void(0);"><img src="./modules/servers/vpsnet/assets/images/help_16x16.png" border="0" align="absmiddle"></a>';
                $smartyvalues['litespeedlicense'] = $value->virtual_machine_license->license_number;
                break;
            case '8' : 
                $licenses[] = 'WHMCS <a data-controls-modal="show-whmcs"  id="help-show-whmcs" href="javascript:void(0);"><img src="./modules/servers/vpsnet/assets/images/help_16x16.png" border="0" align="absmiddle"></a>';
                $smartyvalues['whmcslicense'] = $value->virtual_machine_license->license_number;
                break;
            case '9' : 
                $licenses[] = 'Hostbill <a data-controls-modal="show-hostbill"  id="help-show-hostbill" href="javascript:void(0);"><img src="./modules/servers/vpsnet/assets/images/help_16x16.png" border="0" align="absmiddle"></a>';
                $smartyvalues['hostbilllicense'] = $value->virtual_machine_license->license_number;
                break; 
           }
        }

        $smartyvalues = array_merge(array(
            'active' => $dbvm['status'] == '1' ? '1' : ($dbvm ? '0' : '1'),
            'label' => $vm->label,
            'console' => $whmcsUser->restrict['console'],
            'backups' => $whmcsUser->restrict['backups'],
            'ips' => $whmcsUser->restrict['ips'],
            'running' => $vm->running,
            'vpsId' => $id,
            'pending_state' => $vm->power_action_pending,
            'restict' => array(
                'edit' => $whmcsUser->restrict['edit'],
                'reinstall' => $whmcsUser->restrict['reinstall'],
                'delete' => $whmcsUser->restrict['delete']
            ),
            'vm' => array(
                'hostname' => $vm->hostname . '.' . $vm->domain_name,
                'cloud' => !empty($clouds['name']) ? $clouds['name'] : $vps->getCloudName($vm->cloud_id),
                'nodes' => $vm->slices_count . '+' . $vm->storage_nodes_count . '+' . $vm->ram_nodes_count,
                'backups' => ($vm->backups_enabled == true ? "true" : "false"),
                'rootpass' => $vm->password,
                'template' => $vps->getTemplateName($vm->cloud_id, $vm->system_template_id),
                'running' => ($vm->running == true ? "true" : "false"),
                'ip' => $vm->primary_ip_address->ip_address->ip_address,
                'bandwidth' => formatBytes($vm->bandwidth_used*1024),
                'cp' => $cp,
                'deployed_storage' => $vm->deployed_disk_size,
                'licenses' => count($licenses) > 0 ? implode('<br/>',$licenses) : 'none'
            )
                ), $smartyvalues);
        $templatefile = "vps/main";
        break;
    case "edit":
        if ($whmcsUser->restrict['edit'] || ($preconf && !$standalone)) {
            $_SESSION['vps_net_error'] = $_LANG['vpsnetUserNoRights'];
            header("Location: vps-cloud.php");
            exit;
        }

        if($standalone){
            header("Location: upgrade.php?type=configoptions&id=".$service);
            exit;
        }


        $currency = getCurrency($_SESSION['uid']);
        //View A VPS
        $id = (int) $_GET['id'];
        $smartyvalues['vps'] = $id;
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        $freenodes = $vps->getFreeNodes($service, 'vps');
        $freeStorageNodes = $vps->getFreeNodes($service, 'storage');
        $freeRamNodes = $vps->getFreeNodes($service, 'ram');
		
		//licemses
		
		$vm_licenses = $vm->loadLicenses();
		
		//check vm details saved in dtabase 
		//else save 
		$pid     = getPID_vpsnet();
		$service_ID = getServiceIdfrmVmId($id);
		
		if(!$service_ID)
		{
		   //insert to table hosting
		   //Read the PID of VPS Server From Cloud Nodes bash, 
            
			//get configaration group id
		    $configGroupId = getConfigGroupId($pid);
			$user_id = $_SESSION['uid'];
			$regdate = date('Y-m-d');
			$domain  = $vm->hostname.'.'.$vm->domain_name;
			$nexttime = mktime(0, 0, 0, date("m")+1,   date("d"),   date("Y"));
			$nextdate = date('Y-m-d', $nexttime);
			//insert to table hosting
			$array = array("userid" => $_SESSION['uid'], "orderid" => 0, "packageid" => $pid, 'server' => 1, 'regdate' => $regdate, 'domain' => $domain, 'paymentmethod' => '', 'firstpaymentamount' => '0', 'amount' => '0', 'billingcycle' => 'Monthly', 'nextduedate' => $nextdate, 'nextinvoicedate' => $nextdate, 'domainstatus' => 'Active', 'username' => 'root', 'password' => $vm->password, 'notes' => '', 'subscriptionid' => '', 'promoid' => '', 'suspendreason' => '', 'overideautosuspend' => '', 'overidesuspenduntil' => '', 'dedicatedip' => $vm->ip_addresses->ip_address, 'assignedips' => '', 'ns1' => 'ns1', 'ns2' => 'ns2', 'diskusage' => '', 'disklimit' => '', 'bwusage' => '', 'bwlimit' => '', 'lastupdate' => $regdate);  
			$serviceid = insert_query("tblhosting", $array);
            $serviceid = mysql_insert_id();
			
			//tablecustom filed value
			$result = select_query('tblcustomfields', 'id', array('fieldname' => 'server_id', 'relid' => $pid));
            $data = mysql_fetch_assoc($result);
            $fid = $data['id'];
            insert_query("tblcustomfieldsvalues",array("value" => $id, "fieldid" => $fid, "relid" => $serviceid));
            
			
			//tblhostingconfigoptions
           
			//vps node
			$return_array = getconfig_vpsnode($configGroupId,$vm->regular_nodes_count);
            foreach($return_array as $configid => $configvalue)
		    {
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => 0));
			}
			//storage node
			$return_array = getconfig_storagenode($configGroupId,$vm->storage_nodes_count);
            foreach($return_array as $configid => $configvalue)
		    {
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => 0));
			}
			//ram node
			$return_array = getconfig_ramnode($configGroupId,$vm->ram_nodes_count);
            foreach($return_array as $configid => $configvalue)
		    {
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => 0));
			}
			//cloud id
			$return_array = getconfig_cloudid($configGroupId,$vm->cloud_id);
            foreach($return_array as $configid => $configvalue)
		    {
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => 0));
			}
			//template id
			$return_array = getconfig_templateid($configGroupId,$vm->system_template_id);
            foreach($return_array as $configid => $configvalue)
		    {
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => 0));
			}
			//snapshot
			$return_array = getconfig_backupmangr($configGroupId,'snapshot');
			foreach($return_array as $configid => $configvalue)
		    {  
			   $qty = 0;
			   if ($vm->backups_enabled)
			   {$qty = 1;}
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => $qty));
			}
			//rsync
			$return_array = getconfig_backupmangr($configGroupId,'rsync');
			foreach($return_array as $configid => $configvalue)
		    {  
			   $qty = 0;
			   if ($vm_licenses['rsync_license'])
			   {$qty = 1;}
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => $qty));
			}
			//r1soft
			$return_array = getconfig_backupmangr($configGroupId,'r1soft');
			foreach($return_array as $configid => $configvalue)
		    {  
			   $qty = 0;
			  if ($vm_licenses['r1soft_license'])
			   {$qty = 1;}
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => $qty));
			}
			//cpanel
			$cpanel_licence = $vm->getCpanelLicenceIds(); //array
			if(count($cpanel_licence)==0)
			{
			  $return_array = getconfig_cpanel($configGroupId, 'no');
			  foreach($return_array as $configid => $configvalue)
		      {
			     insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => 0));
			  }
			}
			else if(in_array(1,$cpanel_licence) || in_array(2,$cpanel_licence) || in_array(3,$cpanel_licence))
			{
			  $return_array = getconfig_cpanel($configGroupId, 'cpanel');
			  foreach($return_array as $configid => $configvalue)
		      {
			     insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => 0));
			  }
			}
			else if(in_array(6,$cpanel_licence))
			{
			  $return_array = getconfig_cpanel($configGroupId, 'ispmanager');
			  foreach($return_array as $configid => $configvalue)
		      {
			     insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => 0));
			  }
			}
			
			//softaculous
			$return_array = getconfig_cpaneladdons($configGroupId,'softaculous');
			foreach($return_array as $configid => $configvalue)
		    {  
			   $qty = 0;
			   if(in_array(2,$cpanel_licence))
			   {
			     $qty = 1;
			   }
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => $qty));
			}
			
			//rvskin
			$return_array = getconfig_cpaneladdons($configGroupId,'rvskin');
			foreach($return_array as $configid => $configvalue)
		    {  
			   $qty = 0;
			   if(in_array(3,$cpanel_licence))
			   {
			     $qty = 1;
			   }
			   insert_query("tblhostingconfigoptions",array("relid" => $serviceid, "configid" => $configid, "optionid" => $configvalue, "qty" => $qty));
			}
		}
		else
		{
		    //convert package id from -1 to vps product id
		    mysql_query("update `tblhosting` set `packageid` =".$pid."  WHERE `id` = ".$service_ID);
		}
		
       		
        $result = select_query('vpsnet_clouds', '*',array('id' => $vm->cloud_id));
        $clouds = array();
        if(mysql_num_rows($result) > 0){
            $row = mysql_fetch_assoc($result);
            $cloud = array('status' => $row['status'], 'price' => json_decode($row['nodeprice'],true)); 
        }     

        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetBackup' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
        $botions = array();
        while ($backupdata = mysql_fetch_assoc($result)) {
            $name = $backupdata['name'];
            $namel = strtolower($name);
            $ind = str_replace(' ','', strtolower($name));
            $checked = false;
            switch ($namel) {
                case 'snapshot':
                    if ($vm->backups_enabled)
                        $checked = true;
                    break;
                case 'rsync':
                    if ($vm_licenses['rsync_license'])
                        $checked = true;
                    break;
                case 'r1soft':
                    if ($vm_licenses['r1soft_license'])
                        $checked = true;
                    break;
            }
            if(in_array($ind, $params['enabled']))
                $botions[$ind] = array(
                    'name' => $name,
                    'input' => $namel,
                    'price' => $backupdata['monthly'],
                    'checkced' => $checked
                );
        }
        $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetCpanel' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
        $cpanels = array();
        $cpanel = $vm->getCpanel();
        
        while ($backupdata = mysql_fetch_assoc($result)) {
            $name = $backupdata['name'];
            $ind = str_replace(' ','', strtolower($name));
            if(in_array($ind, $params['enabled']))
                $cpanels[$ind] = array(
                    'name' => $name,
                    'input' => strtolower($name),
                    'price' => $backupdata['monthly']
                );
        }

        $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetCpanelAddons' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
        $cpanelAddons = array();
        while ($row = mysql_fetch_assoc($result)) {
            $name = $row['name'];
            $ind = str_replace(' ','', strtolower($name));
            if(in_array($ind, $params['enabled']))
                $cpanelAddons[$ind] = array(
                    'name' => $name,
                    'input' => strtolower($name),
                    'price' => $row['monthly']
                );
        }
        

        $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetAddons' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
        $serverAddons = array();
        while ($row = mysql_fetch_assoc($result)) {
            $name = $row['name'];
            $ind = str_replace(' ','', strtolower($name));
            if(in_array($ind, $params['enabled']))
                $serverAddons[$ind] = array(
                    'name' => $name,
                    'input' => $ind,
                    'price' => $row['monthly']
                );
        }


        foreach ($vm->virtual_machine_licenses as $key => $value) {
           switch($value->virtual_machine_license->license_id){
            case '2' : 
                $activeAddons[] = 'softaculous';
                break;
            case '3' : 
                $activeAddons[] = 'rvskin';
                break;
            case '4' : 
                $activeAddons[] = 'litespeed';
                break;
            case '8' : 
                $activeAddons[] = 'whmcs';
                break;
            case '9' : 
                $activeAddons[] = 'hostbill';
                break; 
           }
        }
        //print_r($vm->virtual_machine_licenses);
        if (isset($_POST['num-nodes'])) {
		
		//Read the PID of VPS Server From Cloud Nodes bash, 
          $pid = getPID_vpsnet();
		//get configaration group id
		  $configGroupId = getConfigGroupId($pid);
		  
		  //product service_id
		  $service_ID = getServiceIdfrmVmId($id);
		  		  
		 $hidenfld = '';
		 
		 //template id
		 $return_array  = getconfig_Curnt_template($configGroupId, $service_ID);
		 
		 foreach($return_array as $configid => $configvalue)
		 {
		    $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		 }
		 
		 //cloud id
		 $return_array  = getconfig_Curnt_cloud($configGroupId, $service_ID);
		 
		 foreach($return_array as $configid => $configvalue)
		 {
		    $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		 }
		 
		 //vps node
		 $return_array  = getconfig_vpsnode($configGroupId, (int) $_POST['num-nodes']);
		 
		 foreach($return_array as $configid => $configvalue)
		 {
		    $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		 }
		 
		 //storage nodes
		 $return_array = getconfig_storagenode($configGroupId, (int) $_POST['storage-num-nodes']);
		 foreach($return_array as $configid => $configvalue)
		 {
		    $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		 }
		 
		 //ram nodes
		 $return_array = getconfig_ramnode($configGroupId, (int) $_POST['ram-num-nodes']);
		 foreach($return_array as $configid => $configvalue)
		 {
		    $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		 }
		 
		 
		 //snap shot
		 $return_array = getconfig_backupmangr($configGroupId,'snapshot');
		 if ($_POST['snapshot']) 
		 { 
			 foreach($return_array as $configid => $configvalue)
			 {
			    //check already enabled
				if ($vm->backups_enabled)
		        {
				   $configvalue = 1;
				}
				$hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
			 }
		 }
		 else
		 {
		     foreach($return_array as $configid => $configvalue)
			 {
				$hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="0" />';
			 }
		 }
		  	 
		 
		 //rsync
		  $return_array = getconfig_backupmangr($configGroupId,'rsync');
		 if ($_POST['rsync']) 
		 {
			foreach($return_array as $configid => $configvalue)
			 {  
			     //check already enabled
				if ($vm_licenses['rsync_license'])
		        {
				   $configvalue = 1;
				} 
				$hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
			 }
		 }
		 else
		 {
		     foreach($return_array as $configid => $configvalue)
			 {
				$hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="0" />';
			 }
		 }
		 
		 //r1soft
		 $return_array = getconfig_backupmangr($configGroupId,'r1soft');
		 if ($_POST['r1soft']) 
		 {
			foreach($return_array as $configid => $configvalue)
			 {
				//check already enabled
				if ($vm_licenses['r1soft_license'])
		        {
				   $configvalue = 1;
				}
				$hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
			 }
		 }
		 else
		 {
		     foreach($return_array as $configid => $configvalue)
			 {
				$hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="0" />';
			 }
		 }
		 
		 //cpanel config
		 if ($_POST['cpanel'] == 'none') {
	           $return_array = getconfig_cpanel($configGroupId,'no');
			   foreach($return_array as $configid => $configvalue)
		       {
		           $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		       }
		 }
		 if ($_POST['cpanel'] == 'cpanel') {
	           $return_array = getconfig_cpanel($configGroupId,'cpanel');
			   foreach($return_array as $configid => $configvalue)
		       {
		           $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		       }
		 }			 
			
		  //ispmanager config
		  if ($_POST['cpanel'] == 'isp manager') {
	           $return_array = getconfig_cpanel($configGroupId,'ispmanager');
			   foreach($return_array as $configid => $configvalue)
		       {
		           $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		       }
		 } 		
		 
		  //cpanel addons config	
		 if ($_POST['cpanel'] == 'cpanel') {
		    foreach ($_POST['cpaneladdons'] as $key => $license) 
			{
               $return_array = getconfig_cpaneladdons($configGroupId,$license);
			   foreach($return_array as $configid => $configvalue)
		       {
		           $hidenfld .= '<input type="hidden" name="configoption['.$configid.']" value="'.$configvalue.'" />';
		       }
            }
		 }			
	//echo '<input type="hidden" name="billingcycle" value="annually">';
		echo'
		<form method="post" id="myForm" action="upgrade.php" >
	<input type="hidden" name="step" value="2"/>
	<input type="hidden" name="type" value="configoptions"/>
	<input type="hidden" name="id" value="'.$service_ID.'"/>
	'.$hidenfld.'
	
	</form>';
echo '<script type="text/javascript" language="javascript">document.getElementById("myForm").submit();</script>';
		
		} else {
            $smartyvalues['maxAssignableNodes'] = $freenodes + $vm->regular_nodes_count;
            $smartyvalues['maxAssignableStorageNodes'] = $freeStorageNodes + (int) $vm->storage_nodes_count;
            $smartyvalues['maxAssignableRamNodes'] = $freeRamNodes + (int) $vm->ram_nodes_count;
            $smartyvalues['defaultNodes'] = $vm->regular_nodes_count;
            $smartyvalues['defaultStorageNodes'] = $vm->storage_nodes_count;
            $smartyvalues['defaultRamNodes'] = $vm->ram_nodes_count;
            $smartyvalues['defaultnodes'] = $vm->slices_count;
            $smartyvalues['label'] = htmlspecialchars($vm->label, ENT_QUOTES, "utf-8");
            $templatefile = "vps/edit";
        }

        $smartyvalues['botions'] = $botions;
        $smartyvalues['cpanel'] = $cpanel;
        $smartyvalues['cpanels'] = $cpanels;
        $smartyvalues['currency'] = $currency;
        $smartyvalues['activeAddons'] = $activeAddons;
        $smartyvalues['rsync_price'] = getMoPrice('rsync');
        $smartyvalues['snapshot_price'] = getMoPrice('snapshot');
        $smartyvalues['serverAddons'] = $serverAddons;
        $smartyvalues['cpanelAddons'] = $cpanelAddons;
        break;
    case "delete":
        if ($whmcsUser->restrict['delete'] || $preconf) {
            $_SESSION['vps_net_error'] = $_LANG['vpsnetUserNoRights'];
            header("Location: vps-cloud.php");
            exit;
        }
        //View A VPS
        $id = (int) $_GET['id'];
        if (isset($_POST['confirm'])) {
            $vm = new VirtualMachine();
            $vm->id = $id;
            $vm->loadFully();
            if ($vm->consumer_id != $service) {
                die($_LANG['vpsnetNotYourVPS']);
            }
            $ips = $vm->getIpAddresses();
            foreach ($ips['external'] as $ip) {
                cancelBilling('External IP', $ip->ip_address);
            }
            $vm->remove();
            cancelAllBilling($id);
            header("Location: vps-cloud.php?deleted=true");
            die();
        }
        $templatefile = "vps/delete-confirm";
        break;
    case "nodes":
        if ($whmcsUser->restrict['upgrade'] || $preconf) {
            $_SESSION['vps_net_error'] = $_LANG['vpsnetUserNoRights'];
            header("Location: vps-cloud.php");
            exit;
        }
        $usednodes = $vps->getUsedNodes($service, 'vps');
        $usedStoragenodes = $vps->getUsedNodes($service, 'storage');
        $usedRamnodes = $vps->getUsedNodes($service, 'ram');

        $freenodes = $vps->getFreeNodes($service, 'vps');
        $freeStoragenodes = $vps->getFreeNodes($service, 'storage');
        $freeRamnodes = $vps->getFreeNodes($service, 'ram');

        $nodeCosts = $vps->getNodePrices();
        $nodeStorageCosts = $vps->getStorageNodePrices();
        $nodeRamCosts = $vps->getRamNodePrices();

        $nodes_to_options = array();
        $i = 0;
        foreach ($nodeCosts as $count => $price) {
            $i++;
            foreach ($vps->getNodesConfigOptionId($count) as $configoption_id => $option_id)
                $nodes_to_options[(string)$count] = $option_id;
        };
        $smartyvalues['nodes_configoption_id'] = $configoption_id;
        $i++;
        //$nodes_to_options = "var nodes_to_options =new Array($i);\n $nodes_to_options";

        $maxAssignableNodes = $count;
        
        $storage_nodes_to_options = array();
        $ram_nodes_to_options = array();
        $i = 0;

        $storage_nodes_configoption_id =  $vps->getStorageNodesConfigOptionId();
        foreach ($nodeStorageCosts as $count => $price) {
            $i++;
            foreach ($vps->getStorageNodesConfigOptionId($count) as $configoption_id => $option_id)
                $storage_nodes_to_options[(string)$count] = $option_id;
        };
        $smartyvalues['storage_nodes_configoption_id'] = $storage_nodes_configoption_id;
        //$storage_nodes_to_options = "var storage_nodes_to_options =new  Array($i);\n $storage_nodes_to_options";
        $maxAssignableStorageNodes = count($nodeStorageCosts) - 1;
        
		$ram_nodes_configoption_id = $vps->getRamNodesConfigOptionId();
        foreach ($nodeRamCosts as $count => $price) {
            $i++;
            foreach ($vps->getRamNodesConfigOptionId($count) as $configoption_id => $option_id)
                $ram_nodes_to_options[(string)$count] = $option_id;
        };
        //$ram_nodes_to_options = "var ram_nodes_to_options = new Array(" . count($nodeRamCosts) . ");\n $ram_nodes_to_options";
        $smartyvalues['ram_nodes_configoption_id'] = $ram_nodes_configoption_id;
        $maxAssignableRamNodes = count($nodeRamCosts) - 1;

        $templatefile = "vps/nodes";
        $smartyvalues['defaultNodes'] = (int) $usednodes + (int) $freenodes;
        $smartyvalues['defaultStorageNodes'] = (int) $usedStoragenodes + (int) $freeStoragenodes;
        $smartyvalues['defaultRamNodes'] = (int) $usedRamnodes + (int) $freeRamnodes;
        $smartyvalues['nodes_to_options'] = $nodes_to_options;
        $smartyvalues['storage_nodes_to_options'] = $storage_nodes_to_options;
        $smartyvalues['ram_nodes_to_options'] = $ram_nodes_to_options;
        $smartyvalues['minAssignableNodes'] = $usednodes;
        $smartyvalues['minAssignableStorageNodes'] = $usedStoragenodes;
        $smartyvalues['minAssignableRamNodes'] = $usedRamnodes;
        $smartyvalues['maxAssignableNodes'] = $maxAssignableNodes;
        $smartyvalues['maxAssignableStorageNodes'] = $maxAssignableStorageNodes;
        $smartyvalues['maxAssignableRamNodes'] = $maxAssignableRamNodes;
        $smartyvalues['nodeCostRegular'] = $nodeCosts;
        $smartyvalues['nodeCostStorage'] = $nodeStorageCosts;
        $smartyvalues['nodeCostRam'] = $nodeRamCosts;
        $smartyvalues['currency'] = getCurrency($_SESSION['uid']);
        $smartyvalues['minShownNodes'] = 0;
        break;
    case "reinstall":
        if ($whmcsUser->restrict['reinstall']) {
            $_SESSION['vps_net_error'] = $_LANG['vpsnetUserNoRights'];
            header("Location: vps-cloud.php");
            exit;
        }
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        if($preconf){
            $vm->reinstall($vm->system_template_id,$vm->regular_nodes_count,$vm->ram_nodes_count);
            header("Location: vps-cloud.php?m=overview&id=" . $id.$getsuff);
            exit;
        }

        //print_r($vm);
        if (isset($_POST['templateid'])) {

            $vm->system_template_id = (int) $_POST['templateid'];
			
            $info = $vps->api()->getTemplateInfo($vm->cloud_id, $vm->system_template_id);
            $price = getTemplatePrice($vm->system_template_id, $vm->cloud_id);
            $price = isset($price) ? $price : $info->applicable_price->USD;
			$res = $vm->reinstall((int) $_POST['templateid'],$vm->regular_nodes_count,$vm->ram_nodes_count);
			if ($res === true) {
                if ($price > 0) {
                    setBillingForTemplate($vps->api()->getTemplateName((int) $_POST['templateid'], $vm->cloud_id), $vm->id, (int) $_SESSION['uid'], $price);
                }
                header("Location: vps-cloud.php?m=overview&id=" . $id);
            }elseif($res !== false){
                $_SESSION['vps_net_error'] = $res;
                header("Location: vps-cloud.php?m=overview&id=" . $id);
            }
        }
        $smartyvalues['vm'] = $vm;
        $templatefile = "vps/reinstall";
        break;
    case "create":
	
        //Create a new VPS
        if ($whmcsUser->restrict['create'] || $preconf) {
            $_SESSION['vps_net_error'] = $_LANG['vpsnetUserNoRights'];
            header("Location: vps-cloud.php");
            exit;
        }
        $currency = getCurrency($_SESSION['uid']);
        
        //Get the amount of free nodes the customer has.
        $cpanel = $_POST['cpanel'];
        if (!$cpanel)
            $cpanel = 'none';
          
        $freenodes = $vps->getFreeNodes($service, 'vps');
        $freeStorageNodes = $vps->getFreeNodes($service, 'storage');
        $freeRamNodes = $vps->getFreeNodes($service, 'ram');

        $result = select_query('vpsnet_clouds', '*',array());
        $clouds = array();
        if(mysql_num_rows($result) > 0)
            while($row = mysql_fetch_assoc($result)){
                $clouds[$row['id']] = array('status' => $row['status'], 'price' => json_decode($row['nodeprice'],true), 'name' => $row['name']); 
            }   
              
       
         //Read the PID of VPS Server From Cloud Nodes bash, 
           $pid = getPID_vpsnet();
		  //get configaration group id
		   $configGroupId = getConfigGroupId($pid);

        if ($freenodes == 0) {            
            $templatefile = "vps/no-free-nodes";
        } else if (isset($_POST['num-nodes']) && (int) $_POST['num-nodes'] > $freenodes) {
            $templatefile = "vps/no-enough-free-nodes";

        } else {
            $error = false;
            try {

                if (isset($_POST['num-nodes'])) {
                    if (!isset($_POST['templateid']) || (int) $_POST['templateid'] == 0) {
                        throw new Exception("No template selected");
                    }
                    
					 $is_cart = 0; 
					// configoption array for passing bash
					$confgarray = array();
					
					$price = getTemplatePrice((int) $_POST['templateid'], (int) $_POST['cloudid']);
                    if ($price > 0) {
                       $is_cart = 1;  
                    }
					
					//vps node config
					 if (isset($_POST['num-nodes'])) {
					    $return_array = getconfig_vpsnode($configGroupId, (int) $_POST['num-nodes']);
						$confgarray   = $return_array;
					 }
					 //storage node config
					 if (isset($_POST['storage-num-nodes'])) {
					    $return_array = getconfig_storagenode($configGroupId, (int) $_POST['storage-num-nodes']);
						$confgarray   = $confgarray+$return_array;
					 }
					 //ram node config
					 if (isset($_POST['ram-num-nodes'])) {
					    $return_array = getconfig_ramnode($configGroupId, (int) $_POST['ram-num-nodes']);
						$confgarray   = $confgarray+$return_array;
					 }
					 //cloud_id config
					 if (isset($_POST['cloudid'])) {
					    $return_array = getconfig_cloudid($configGroupId, (int) $_POST['cloudid']);
						$confgarray   = $confgarray+$return_array;
					 }
					 //template_id config
					 if (isset($_POST['templateid'])) {
					    $return_array = getconfig_templateid($configGroupId, (int) $_POST['templateid']);
						$confgarray   = $confgarray+$return_array;
					 }
					 //snapshot config
					 if ($_POST['snapshot']) {
					    $is_cart      = 1;
					    $return_array = getconfig_backupmangr($configGroupId,'snapshot');
						$confgarray   = $confgarray+$return_array;  
					 }
					 //rsync config
					 if ($_POST['rsync']) {
					    $is_cart      = 1;
					    $return_array = getconfig_backupmangr($configGroupId,'rsync');
						$confgarray   = $confgarray+$return_array;  
					 }
					 //r1soft config
					 if ($_POST['r1soft']) {
					    $is_cart      = 1;
					    $return_array = getconfig_backupmangr($configGroupId,'r1soft');
						$confgarray   = $confgarray+$return_array;  
					 }
					 
					 //cpanel config
					 if ($_POST['cpanel'] == 'none') {
					    $return_array = getconfig_cpanel($configGroupId,'no');
						$confgarray   = $confgarray+$return_array; 
					 }
					 if ($_POST['cpanel'] == 'cpanel') {
					    $is_cart      = 1;
					    $return_array = getconfig_cpanel($configGroupId,'cpanel');
						$confgarray   = $confgarray+$return_array; 
					 }
					 //ispmanager config
					 if ($_POST['cpanel'] == 'isp manager') {
					    $is_cart      = 1;
					    $return_array = getconfig_cpanel($configGroupId,'ispmanager');
						$confgarray   = $confgarray+$return_array; 
					 }
					 //cpanel addons config
					 if ($_POST['cpanel'] == 'cpanel') {
                        if(is_array($_POST['cpaneladdons']))
                            foreach ($_POST['cpaneladdons'] as $key => $license) {
                                $return_array = getconfig_cpaneladdons($configGroupId,$license);
						        $confgarray   = $confgarray+$return_array;
                            }
                    }  
										 
					$price = getTemplatePrice((int) $_POST['templateid'], (int) $_POST['cloudid']);
					if ($price > 0) {$is_cart      = 1;}
					
					if ($is_cart == 1) // leads to cart page , if any payment
					{  
					    unset($_SESSION["cart"]["products"]);
						$_SESSION["cart"]["products"][] = array(
						  'pid' => $pid ,'domain' => '','configoptions' => $confgarray, 'server' => array
						  ('hostname' => $_POST['hostname'], 'ns1prefix' => 'ns1', 'ns2prefix' => 'ns')
						);
						
											
						$sysurl = !empty($_SERVER['HTTPS']) ? $CONFIG['SystemSSLURL'] : $CONFIG['SystemURL'];
						header("Location: $sysurl/cart.php?a=view");	
						exit();
					}
					else //no cart page
					{
					     //Create the new vps using params from form
						 $licence = NULL;
                         $new_vm = new VirtualMachine($_POST['label'], $_POST['hostname'], (int) $_POST['num-nodes'], (int) $_POST['snapshot'], (int) $_POST['rsync'], (int) $_POST['r1soft'], (int) $_POST['cloudid'], $_POST['templateid'], $service, $licence, (int) $_POST['storage-num-nodes'], (int) $_POST['ram-num-nodes']);
                         $newvm = $vps->api()->createVirtualMachine($new_vm);
						 
						  $messagename = 'New Cloud Server Information';
   
                         $extravars = array( 
                        'service_dedicated_ip' => $newvm->virtual_machine->primary_ip_address->ip_address->ip_address, 
                        'service_password' => $newvm->virtual_machine->password,
                        'service_assigned_ips' => $newvm->virtual_machine->primary_ip_address->ip_address->ip_address,
                        'service_domain' => $newvm->virtual_machine->hostname . '.' . $newvm->virtual_machine->domain_name
                        );

                        sendMessage($messagename,$service,$extravars);
                         //Redirect to default (summary)
                        header("location: vps-cloud.php");
                         exit();
					}
                    //end bash
                    
                    
                   
                 
                  

                }
            } catch (Exception $ex) {
                $error = $ex->getMessage();

            }
            $cloudId = 0;
            if (isset($_POST['templateid']) || (int) $_POST['cloudid'] == 0) {
                $cloudId = (int) $_POST['cloudid'];
            }
            //Get the clouds
            $resources = $vps->api()->getAvailableCloudsAndTemplates();
            $cloudoptions = "";
            foreach ($resources as $resource) {
                if ($resource->cloud->available && !$resource->cloud->fusion_io && (!isset($clouds[$resource->cloud->id]) || $clouds[$resource->cloud->id]['status'] == 1)) {

                    $pdata = is_array($clouds[$resource->cloud->id]['price']) && $clouds[$resource->cloud->id]['price'][$currency['id']] > 0 ? 'data-add-price = "'.$currency['prefix'].$clouds[$resource->cloud->id]['price'][$currency['id']].$currency['suffix'].'"' : '';
                   
                    $cloudoptions .= "<option {$pdata} data-bandwidth='".$resource->cloud->monthly_node_bandwidth."' value='{$resource->cloud->id}' " . ($resource->cloud->id == $cloudId ? "selected='selected'" : "") . ">".(!empty($clouds[$resource->cloud->id]['name']) ? $clouds[$resource->cloud->id]['name'] : $resource->cloud->label)."</option>";
                }
            }
            if ($error !== false) {
                $error = htmlspecialchars($error, ENT_QUOTES, "utf-8");
                switch ($error) {
                    case 'slices_required template requires atleast 2 nodes.':
                        $mes = 'This template requires atleast 2 nodes.';
                        break;
                    default:
                        $mes = $error;
                }
                $smartyvalues['form_errors'] = $mes;
            }
            if (isset($_POST['label'])) {
                $smartyvalues['post_label'] = htmlspecialchars($_POST['label'], ENT_QUOTES, "utf-8");
            }
            if (isset($_POST['hostname'])) {
                $smartyvalues['post_hostname'] = htmlspecialchars($_POST['hostname'], ENT_QUOTES, "utf-8");
            }
            $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetBackup' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
            $botions = array();
            while ($backupdata = mysql_fetch_assoc($result)) {
                $name = $backupdata['name'];
                $namel = strtolower($name);
                $ind = str_replace(' ','', strtolower($name));
                if(in_array($ind, $params['enabled']))
                    $botions[$ind] = array(
                        'name' => $name,
                        'input' => $namel,
                        'price' => $backupdata['monthly'],
                        'checkced' => $_POST[$namel] == '1'
                    );
            }


            $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetCpanel' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
            $cpanels = array();

            while ($backupdata = mysql_fetch_assoc($result)) {
                $name = $backupdata['name'];
                $ind = str_replace(' ','', strtolower($name));
                if(in_array($ind, $params['enabled']))
                    $cpanels[$ind] = array(
                        'name' => $name,
                        'input' => strtolower($ind),
                        'price' => $backupdata['monthly']
                    );
            }
            

            $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetCpanelAddons' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
            $cpanelAddons = array();
            while ($row = mysql_fetch_assoc($result)) {
                $name = $row['name'];
                $ind = str_replace(' ','', strtolower($name));
                if(in_array($ind, $params['enabled']))
                    $cpanelAddons[$ind] = array(
                        'name' => $name,
                        'input' => strtolower($name),
                        'price' => $row['monthly']
                    );
            }
            

            $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetAddons' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
            $serverAddons = array();
            while ($row = mysql_fetch_assoc($result)) {
                $name = $row['name'];
                $ind = str_replace(' ','', strtolower($name));
                if(in_array($ind, $params['enabled']))
                    $serverAddons[$ind] = array(
                        'name' => $name,
                        'input' => $ind,
                        'price' => $row['monthly']
                    );
            }

            $smartyvalues['minAssignableNodes'] = '1';
            $smartyvalues['maxAssignableNodes'] = $freenodes;
            $smartyvalues['maxAssignableStorageNodes'] = $freeStorageNodes;
            $smartyvalues['maxAssignableRamNodes'] = $freeRamNodes;
            $smartyvalues['rsync_price'] = getMoPrice('rsync');
            $smartyvalues['snapshot_price'] = getMoPrice('snapshot');
            $smartyvalues['currency'] = $currency;
            $smartyvalues['botions'] = $botions;
            $smartyvalues['cpanels'] = $cpanels;
            $smartyvalues['cpanel'] = $cpanel;
            $smartyvalues['cpanelAddons'] = $cpanelAddons;
            $smartyvalues['serverAddons'] = $serverAddons;
            $smartyvalues['cloudoptions'] = $cloudoptions;
            
            $smartyvalues['defaultNodes'] = ($_POST['num-nodes'] ? (int) $_POST['num-nodes'] : '0');
            $smartyvalues['defaultStorageNodes'] = ($_POST['storage-num-nodes'] ? (int) $_POST['storage-num-nodes'] : '0');
            $smartyvalues['defaultRamNodes'] = ($_POST['ram-num-nodes'] ? (int) $_POST['ram-num-nodes'] : '0');
            $smartyvalues['minShownNodes'] = 1;

            $templatefile = "vps/create";
        }
        break;
    case "console":
        if ($whmcsUser->restrict['console']) {
            $_SESSION['vps_net_error'] = $_LANG['vpsnetUserNoRights'];
            header("Location: vps-cloud.php");
            exit;
        }
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        $console = $vm->getConsole();
        $smartyvalues = array_merge(array(
            'label' => $vm->label,
            'console' => $whmcsUser->restrict['console'],
            'backups' => $whmcsUser->restrict['backups'],
            'ips' => $whmcsUser->restrict['ips'],
            'vpsId' => $id,
                ), $smartyvalues);
        if ($vm->running) {
		 $smartyvalues['maincontent'] =
		'<script type="text/javascript" language="javascript" src="noVNC/include/util.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/webutil.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/base64.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/websock.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/des.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/keysymdef.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/keyboard.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/input.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/display.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/jsunzip.js"></script>
<script type="text/javascript" language="javascript" src="noVNC/include/rfb.js"></script>
<!--script type="text/javascript" language="javascript" src="noVNC/include/jquery-1.8.3.min.js"></script-->

<div id="no_vnc_status_bar">
                        <span id="no_vnc_status">Loading...</span>
                        <canvas id="no_vnc_canvas">Your browser is not supported!</canvas>
                        <div class="submit">
                          <button data-confirm="Are you sure you want to send Ctrl+Alt+Del ?" id="send_ctrl_alt_del_button">Ctrl+Alt+Del</button>
                        </div>
                      </div>
					  <input id="html_console_proxy_server" name="html_console_proxy_server" type="hidden" value="console.vps.net/websockify/" />
                      <input id="console_password" name="console_password" type="hidden" value="'.$console->password.'" />
                      <input id="console_path" name="console_path" type="hidden" value="?token='.$console->token.'" />
<script type="text/javascript" language="javascript">
  (function() {
                            if( typeof(WebSocket) != "undefined" ) {
                              var rfb,
                                $status = $("#no_vnc_status"),
                                $cad = $("#send_ctrl_alt_del_button"),
                                host = $("#html_console_proxy_server").val(),
                                port = 443,
                                password = $("#console_password").val(),
                                $mainDiv = $("#no_vnc_status_bar"),
                                path = $("#console_path").val();
                          
                              function updateState(rfb, state, oldstate, msg) {
                                  var level;
                                  if (state === "disconnected") {
                                    msg = "Server disconnected. Please refresh your page to reload the console."
                                  }
                          
                                  switch (state) {
                                      case "failed":
                                      case "fatal":
                                      case "disconnected":
                                          level = "error";  break;
                                      case "normal":
                                      case "loaded":
                                          level = "notice"; break;
                                      default:
                                          level = "notice-w";   break;
                                  }
                          
                                  $cad.attr("disabled", !(state === "normal"));
                          
                                  if (typeof(msg) !== "undefined") {
                                      $status.attr("class", "no_vnc_status " + level).html(msg);
                                  }
                          
                                  if(level === "error") {
                                    $cad.closest(".submit").hide();
                                  }
                              }
                          
                              function sendCtrlAltDel() {
                                  rfb.sendCtrlAltDel();
                                  return false;
                              }
                          
                              $cad.click(function() {
                                  var $this = $(this);
                                  if($this.data("confirm") && !confirm($this.data("confirm"))) {
                                    return;
                                  }
                                  sendCtrlAltDel();
                                  return false;
                              });
                          
                              WebUtil.init_logging("none");
                          
                              rfb = new RFB({"target":             $D("no_vnc_canvas"),
                                             "encrypt":            true,
                                             "true_color":         true,
                                             "local_cursor":       true,
                                             "shared":             true,
                                             "view_only":          false,
                                             "onUpdateState":      updateState,
                                             "check_rate":         16,
                                             "fbu_req_rate":       32
                              });
                              rfb.connect(host, port, password, path);
                            } else {
                              $("#no_vnc_status_bar").html("Your browser is not supported. Please use a browser with Websockets support.");
                            }
                          }());
</script>';
		} else {
            $smartyvalues['maincontent'] = '<div style="padding:40px 0px; text-align:center;"><b>'.$_LANG['vpsnetConsoleUnavaliable'].'</b></div>';
        }
        $templatefile = "vps/main";
        break;
	case 'addcpanel':
	         $id = (int) $_GET['id'];
			   $vm = new VirtualMachine();
               $vm->id = $id;
               $vm->loadFully();
			   $vm_licenses = $vm->loadLicenses();
			   $cpanel = $vm->getCpanel(); 
			   
			   foreach ($vm->virtual_machine_licenses as $key => $value) {
           switch($value->virtual_machine_license->license_id){
            case '2' : 
                $activeAddons[] = 'softaculous';
                break;
            case '3' : 
                $activeAddons[] = 'rvskin';
                break;
            case '4' : 
                $activeAddons[] = 'litespeed';
                break;
            case '8' : 
                $activeAddons[] = 'whmcs';
                break;
            case '9' : 
                $activeAddons[] = 'hostbill';
                break; 
           }
        }
     	
	        if (isset($_POST['addcpanel'])) {  
			   if ($cpanel == 'cpanel')
			   {
			   $vm->slices_count = $vm->slices_count;
            $vm->storage_nodes_required = $vm->storage_nodes_count;
            $vm->ram_nodes_required = $vm->ram_nodes_count;
            $vm->label = $vm->label;
            $vm->backups_enabled = $vm->backups_enabled;
			if($vm_licenses['rsync_license']){$vm->rsync_backups_enabled = 1;}else{$vm->rsync_backups_enabled = 0;}
	        if($vm_licenses['r1soft_license']){$vm->r1_soft_backups_enabled = 1;}else{$vm->r1_soft_backups_enabled = 0;}
			
          
            $vm->licence = NULL;
            $vm->licence = array(
                '1' => $cpanel == 'cpanel' ? 1 : 0,
                '2' => $cpanel == 'cpanel' && in_array('softaculous', $_POST['cpaneladdons']) ? 1 : 0,
                '3' => $cpanel == 'cpanel' && in_array('rvskin', $_POST['cpaneladdons']) ? 1 : 0,
                '4' => in_array('litespeed', $activeAddons) ? 1 : 0,
                '6' => $cpanel == 'isp manager' ? 1 : 0,
                '8' => in_array('whmcs', $activeAddons) ? 1 : 0,
                '9' => in_array('hostbill', $activeAddons) ? 1 : 0
            );
			
			
			
            $errors = array();
            try{
                $updated = $vm->update();
                }  catch (Exception $e) {
                $errors = explode(', ', $e->getMessage());
                     }
			    if ($updated === true) { 
				
				    if(in_array('softaculous', $_POST['cpaneladdons'])){
                            setMoBillingUpdated('softaculous',  $vm->label, $id);
                        }else
                            cancelBilling('softaculous', $id);

                        if(in_array('rvskin', $_POST['cpaneladdons'])){
                            setMoBillingUpdated('rvskin', $vm->label, $id);
                        }else
                            cancelBilling('rvskin', $id);
			     	generate_invoice_for_addons();
                        
                    header("Location: vps-cloud.php?updated=true");
                    die();
                } else {
				     $freenodes = $vps->getFreeNodes($service, 'vps');
                     $freeStorageNodes = $vps->getFreeNodes($service, 'storage');
                     $freeRamNodes = $vps->getFreeNodes($service, 'ram');
                    $smartyvalues['maxAssignableNodes'] = $freenodes + (int) $vm->regular_nodes_count;
                    $smartyvalues['maxAssignableStorageNodes'] = $freeStorageNodes + (int) $vm->storage_nodes_count;
                    $smartyvalues['maxAssignableRamNodes'] = $freeRamNodes + (int) $vm->ram_nodes_count;
                    $smartyvalues['defaultnodes'] = (int) $vm->regular_nodes_count;
                    $smartyvalues['defaultStorageNodes'] = (int) $vm->storage_nodes_count;
                    $smartyvalues['defaultRamNodes'] = (int) $vm->ram_nodes_count;
                    $smartyvalues['label'] = htmlspecialchars($vm->label, ENT_QUOTES, "utf-8");
                    $smartyvalues['errors'] = $errors;
                    $templatefile = "vps/update-failed";
                }
			  }
			} // end update
	        $smartyvalues['vps'] = $id;
			$currency = getCurrency($_SESSION['uid']);
			 $result = full_query("select ta.*, tp.monthly from tbladdons ta left join tblpricing tp  on ta.id=tp.relid where description = 'vpsnetCpanelAddons' and  tp.type='addon' and tp.currency=" . $currency['id'] . " order by id");
            $cpanelAddons = array();
            while ($row = mysql_fetch_assoc($result)) {
                $name = $row['name'];
                $ind = str_replace(' ','', strtolower($name));
                if(in_array($ind, $params['enabled']))
                    $cpanelAddons[$ind] = array(
                        'name' => $name,
                        'input' => strtolower($name),
                        'price' => $row['monthly']
                    );
            }
			$smartyvalues['cpanelAddons'] = $cpanelAddons;
			$smartyvalues['activeAddons'] = $activeAddons;
			$templatefile = "vps/addcpaneladdon";
	       break;	
    case 'addIp':
        $id = (int) $_GET['id'];
        $smartyvalues['vps'] = $id;
        $smartyvalues['m'] = $m;
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        if ($_POST['type']) {
            switch ($_POST['type']) {
                case '2':
                    $ip = $vps->api()->addIPAddress($vm->id, 'internal');
                    $_SESSION['vps_net_message'] = $_LANG['vpsnetipInternalAdded'];
                    break;
                case '1':
                    $ip = $vps->api()->addIPAddress($vm->id, 'external');
                    setMoBilling('External IP', $ip->ip_address);
                    generate_invoice_for_addons(array('External IP'), $vm->id);
                    $_SESSION['vps_net_message'] = $_LANG['vpsnetipExternalAdded'];
                    break;
            }
        }
        header("Location: vps-cloud.php?m=ips&id=" . $id);
        break;
    case "ips":
        if ($whmcsUser->restrict['ips']) {
            $_SESSION['vps_net_error'] = $_LANG['vpsnetUserNoRights'];
            header("Location: vps-cloud.php");
            exit;
        }
        //View A VPS
        $id = (int) $_GET['id'];
        $smartyvalues['vps'] = $id;
        $smartyvalues['m'] = $m;
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        $ips = $vm->getIpAddresses();
        $smartyvalues['vm'] = $vm;
        if (!$_POST['type'])
            $_POST['type'] = '1';

       

        $smartyvalues = array_merge(array(
            'label' => $vm->label,
            'console' => $whmcsUser->restrict['console'],
            'backups' => $whmcsUser->restrict['backups'],
            'ips' => $whmcsUser->restrict['ips'],
            'vpsId' => $id,
            'primary' => array(
                'ip' => $vm->primary_ip_address->ip_address->ip_address,
                'netmask' => $vm->primary_ip_address->ip_address->netmask
            ),
            'extCost' => getMoPrice('External IP')
            ), $smartyvalues);

         if (count($ips['external'])) {
            $smartyvalues['external'] = $ips['external'];
        }
        if (count($ips['internal'])) {
            $smartyvalues['internal'] = $ips['internal'];
        }
        $smartyvalues['maincontent'] = $content;
        $templatefile = "vps/main";
        break;
    case "backup":
        if ($whmcsUser->restrict['backups']) {
            $_SESSION['vps_net_error'] = $_LANG['vpsnetUserNoRights'];
            header("Location: vps-cloud.php");
            exit;
        }
        //View A VPS
        $id = (int) $_GET['id'];
        $smartyvalues['vps'] = $id;
        $smartyvalues['m'] = $m;
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        $smartyvalues['vm'] = $vm;
        $content = '';
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        
       
        if ($vm->backups_enabled) {
            
            if (isset($_POST['createbackup'])) {
                try {
                    $vm->createBackup();
                } catch (Exception $e) {
                    $_SESSION['vps_net_error'] = $e->getMessage();
                    header("Location: vps-cloud.php?m=backup&id=$id".$getsuff);
                    exit;
                }
            }
            $vm->loadBackups();
            foreach ($vm->backups as $k=>$backup) {
                $backup->label = !empty($backup->label) ? $backup->label : $backup->backup_type;
                $backup->auto_backup_type = $backup->backup_type != 'normal' ? true : false;
                $backup->backup_size = ($backup->backup_size ? formatBytes($backup->backup_size * 1024) : '');
                $backup->built_at = ($backup->built_at ? strtotime($backup->built_at) : false);
                $vm->backups[$k] = $backup;
            }
            $smartyvalues = array_merge(array(
                'backupsEnabled' => $vm->backups_enabled,
                'listBackups' => $vm->backups,
             ), $smartyvalues);
        }
        if ($vm->backup_licenses->rsync_license) {
            $smartyvalues = array_merge(array(
                'rsync' => array(
                    'username' => $vm->backup_licenses->rsync_license->username,
                    'password' => $vm->backup_licenses->rsync_license->password,
                    'quota' => $vm->backup_licenses->rsync_license->quota
                )
             ), $smartyvalues);
        }
        if ($vm->backup_licenses->r1soft_license) {
            $smartyvalues = array_merge(array(
                'r1soft' => array(
                    'key' => $vm->backup_licenses->r1soft_license->license_key
                )
             ), $smartyvalues);
        }
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        $smartyvalues = array_merge(array(
            'label' => $vm->label,
            'console' => $whmcsUser->restrict['console'],
            'backups' => $whmcsUser->restrict['backups'],
            'ips' => $whmcsUser->restrict['ips'],
            'vpsId' => $id,
        ), $smartyvalues);
        if ((!$vm->backups_enabled) && (!$vm->backup_licenses->r1soft_license) && (!$vm->backup_licenses->rsync_license)) {
            $content = '<div style="padding:40px 0px; text-align:center;"><b>'.$_LANG['vpsnetbackupTurnedOff'] .'</b></div>';
        }
        $smartyvalues['maincontent'] = $content;
        $templatefile = "vps/main";
        break;
    case "deleteip":
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        $ips = $vm->getIpAddresses();
        foreach ($ips['external'] as $ip) {
            if ($ip->id == (int) $_GET['ip'])
                cancelBilling('External IP', $ip->ip_address);
        }
        $vm->deleteIP((int) $_GET['ip']);
        $_SESSION['vps_net_message'] = $_LANG['vpsnetipDeleted'];
        header("Location: vps-cloud.php?m=ips&id=" . $id.$getsuff);
        exit;
        break;
    case "restore":
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        $backup = new Backup((int) $_GET['backup'], $id);
        $backup->restore();
        $_SESSION['vps_net_message'] = $_LANG['vpsnetbackupRestore'];
        header("Location: vps-cloud.php?m=overview&id=$id".$getsuff);
        exit;
        break;
    case "backup_remove":
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        $backup = new Backup((int) $_GET['backup'], $id);
        $backup->remove();
        $_SESSION['vps_net_message'] = $_LANG['vpsnetbackupRemoved'];
        header("Location: vps-cloud.php?m=backup&id=$id".$getsuff);
        exit;
        break;
    case 'backup_convert':
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        $backup = new CustomTemplate();
        $backup->vmid = $id;
        $details = $backup->create(intval($_GET['backup']));
        $array = array("name" => $_GET['name'], "id" => $details->system_template->id, "cloud_id" => $vm->cloud_id, 'description'=>'', 'price'=>'0');
        insert_query("vpsnet_templates", $array);
        header("Location: vps-cloud.php?m=backup&id=$id".$getsuff);
        exit;
        break;
    case "cpu":
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $vm->id = $id;
        $smartyvalues['m'] = $m;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        if (isset($_GET['p'])) {
            $vm->showCPUGraph($_GET['p']);
            die();
        }
        $cpuUsage = $vm->getCPUUsage();
        if ($cpuUsage) {
            $vm->composeCPUUsageGraph();
        }
        $smartyvalues = array_merge(array(
            'label' => $vm->label,
            'console' => $whmcsUser->restrict['console'],
            'backups' => $whmcsUser->restrict['backups'],
            'ips' => $whmcsUser->restrict['ips'],
            'vpsId' => $id,
            'cpuusage' => $cpuUsage
                ), $smartyvalues);

        $templatefile = "vps/main";
        break;
    case "bw":
        $id = (int) $_GET['id'];
        $vm = new VirtualMachine();
        $smartyvalues['m'] = $m;
        $vm->id = $id;
        $vm->loadFully();
        if ($vm->consumer_id != $service) {
            die($_LANG['vpsnetNotYourVPS']);
        }
        if (isset($_GET['p'])) {
            $vm->showNetworkGraph($_GET['p']);
            die();
        }
       $networkUtilisation = $vm->getNetworkUtilisation();
       if ($networkUtilisation) {
            $vm->composeNetworkGraph('daily');
            $vm->composeNetworkGraph('weekly');
            $vm->composeNetworkGraph('monthly');
        }
        $smartyvalues = array_merge(array(
            'label' => $vm->label,
            'console' => $whmcsUser->restrict['console'],
            'backups' => $whmcsUser->restrict['backups'],
            'ips' => $whmcsUser->restrict['ips'],
            'vpsId' => $id,
            'networkUtilisation' => $networkUtilisation
                ), $smartyvalues);
        $templatefile = "vps/main";
        break;
}
outputClientArea($templatefile);
echo '<script type="text/javascript">jQuery.noConflict();</script>';
?>
